<?php
/*
* Tlac ciarovych kodov
* SMsoft s.r.o.
*/  

require_once './head.php';
require_once './class/ToBmp.php';
require_once './printers/function_zamen.php';
require_once './class/Barcode39.php';
 
$token_id = $_SESSION[$_GET["dat"]];          //nacita ID z sessions

Hlavicka(2);

$query="SELECT a.mnozstvo, b.artikel_id, b.nazov, b.ean, b.cena_predaj 
        FROM pohyb a INNER JOIN artikel b ON b.artikel_id = a.artikel_id 
        WHERE a.pohyb_id = ".$token_id;
$rs = mysqli_query($link, $query);
$i=1;
while ($row = mysqli_fetch_array($rs))
  {
  $vyrobok = $row["ean"];
  $cena = $row["cena_predaj"]." ";
  $nazov = $row["artikel_id"]." - ".ZAMEN_ZNAKY($row["nazov"]);
  $mnozstvo = $row["mnozstvo"];
  }

$randomName = uniqid() . '.bmp'; 

$bc = new Barcode39($vyrobok);

// set text size
$bc->barcode_text_size = 5;

// set barcode bar thickness (thick bars)
$bc->barcode_bar_thick = 4;

// set barcode bar thickness (thin bars)
$bc->barcode_bar_thin = 2;

// save barcode GIF file
$bc->draw($randomName);


$ToBMP = new ToBmp();
$ToBMP->image_info($randomName);
$ToBMP->new_width  = 300;
$ToBMP->new_height = 150;
$ToBMP->imagebmp($randomName);

for ($i = 1; $i <= $mnozstvo; $i++)
    {

    $handle = printer_open($PRINERS_stitky);
    printer_set_option($handle, PRINTER_TEXT_ALIGN,   PRINTER_TA_CENTER);
    //printer_set_option($handle, PRINTER_ORIENTATION, PRINTER_ORIENTATION_LANDSCAPE); 
    printer_set_option($handle, PRINTER_PAPER_FORMAT, PRINTER_FORMAT_CUSTOM);
    printer_set_option($handle, PRINTER_PAPER_WIDTH , 29); 
    printer_set_option($handle, PRINTER_PAPER_LENGTH, 60);
    
    printer_start_doc($handle, "Print barcode");
    printer_start_page($handle);
    
    printer_draw_bmp($handle, $randomName, 1, 80);
    
    $font = printer_create_font("Arial", 36,12, 100, false, false, false, 0);
    printer_select_font($handle, $font);
    printer_draw_text($handle, $nazov, 1, 50);
    printer_delete_font($font);
    $font = printer_create_font("Arial", 72,24, 100, false, false, false, 0);
    printer_select_font($handle, $font);
    printer_draw_text($handle, $cena, 400, 180);
    printer_delete_font($font);
      
    printer_end_page($handle);
    printer_end_doc($handle);
    printer_close ($handle);
    }

unlink($randomName);

Presmeruj ("/prijem_pohyb.php");  
?>