DROP VIEW IF EXISTS pohl_pokl_vernost;

CREATE 
    ALGORITHM = UNDEFINED 
    DEFINER = `root`@`localhost` 
    SQL SECURITY DEFINER
VIEW `pohl_pokl_vernost` AS
    SELECT 
        `a`.`vernost_id` AS `vernost_id`,
        `a`.`meno` AS `meno`,
        `a`.`email` AS `email`,
        `a`.`tel` AS `tel`,
        SUM(ROUND((`b`.`cena` * `b`.`pocet`), 2)) AS `celkom`
    FROM
        ((`smsklad_vernost` `a`
        JOIN `doklad` `c` ON ((`c`.`vernost_id` = `a`.`vernost_id`)))
        JOIN `uctenka` `b` ON ((`b`.`doklad_id` = `c`.`doklad_id`)))
    GROUP BY `a`.`vernost_id`;