DROP PROCEDURE IF EXISTS `Servis_faktura`;

CREATE DEFINER=`root`@`localhost` PROCEDURE `Servis_faktura`(IN `$servis_id` INT(11), IN `$datum_dod` DATE, IN `$datum_spl` DATE, IN `$uhrada` TINYINT(1), IN `$poznamka` VARCHAR(255), IN `$USER_ID` INT(11))
BEGIN
START TRANSACTION;
INSERT INTO faktura 
          SELECT
               NULL,
               (SELECT partner_id FROM smsklad_servis WHERE servis_id = $servis_id),
               $uhrada,
               $USER_ID,
               0,
               '',
               0,
               0,
               1,                           
               COALESCE(MAX(cislo),0)+1,
			   0,
               (SELECT a.cena_predaj FROM artikel a, cis_partneri b WHERE a.artikel_id = b.artikel_id AND b.partner_id = (SELECT partner_id FROM smsklad_servis WHERE servis_id = $servis_id)), 
               $datum_dod,
               $datum_spl,
               $datum_dod,
               0,
               0,
               NOW(),
               $poznamka
          FROM faktura
          WHERE druh=1;
INSERT INTO faktura_servis VALUES(NULL,LAST_INSERT_ID(),(SELECT doklad_id FROM smsklad_servis WHERE servis_id = $servis_id));
INSERT INTO smsklad_servis_status VALUES (NULL,$servis_id,0,$USER_ID,7,NOW(),'');
COMMIT;
END;