DROP PROCEDURE IF EXISTS `Prijem_uloz`;

CREATE DEFINER=`root`@`localhost` PROCEDURE `Prijem_uloz`(
	IN `$artikel_id` INT(11),
	IN `$prijem` DECIMAL(15,5),
	IN `$predaj` DECIMAl(10,2),
	IN `$mnozstvo` DECIMAL(20,3),
	IN `$USER_ID` INT(11),
	IN `$PRIJEMKA_ID` INT(11)
)
BEGIN
DECLARE $sklad INT;
DECLARE $marza INT;
DECLARE $last_pohyb INT;
DECLARE $tmp_pocet DECIMAL(20,3);
DECLARE $obsah DECIMAL(6,2);
DECLARE $sumar DECIMAL(20,3);
DECLARE $tmp_sumar DECIMAL(20,3);
DECLARE $dph INT;
DECLARE $last_id INT;
DECLARE $cenapredaj DECIMAL(10,2);
DECLARE $cenapriemer DECIMAL(17,4);
DECLARE $novypriemer DECIMAL(17,4);

START TRANSACTION;

SELECT sklad_id INTO $sklad FROM doklad WHERE doklad_id = $PRIJEMKA_ID;
SELECT a.marza, a.obsah,a.cena_priemer, b.sadzba INTO $marza,$obsah,$cenapriemer,$dph 
	FROM artikel a INNER JOIN dph b ON a.dph_id=b.dph_id
    WHERE a.artikel_id=$artikel_id;
INSERT INTO pohyb VALUES(NULL,$PRIJEMKA_ID,0,$artikel_id,$sklad,0,$USER_ID,$prijem,$predaj,$mnozstvo,$dph,0,NOW(),'',0);
SET $last_id = LAST_INSERT_ID();


SELECT SUM(a.mnozstvo) INTO $sumar 
	FROM pohyb a INNER JOIN doklad b ON a.doklad_id=b.doklad_id   
	WHERE a.artikel_id=$artikel_id AND b.druh <> 9 AND a.rucna = 0; 

IF ($cenapriemer=0) THEN

    UPDATE pohyb SET cena = $prijem WHERE cena = 0 AND artikel_id=$artikel_id;
    
    SET $novypriemer = $prijem;
    
ELSEIF ($sumar = 0) THEN

	SELECT SUM(a.cena*a.mnozstvo) INTO $tmp_sumar
			FROM pohyb a INNER JOIN doklad b ON a.doklad_id=b.doklad_id 
			WHERE a.artikel_id=$artikel_id
			AND b.druh = 1
			AND b.druh <> 9
			AND a.rucna = 0;
            
			IF ($tmp_sumar > 0) THEN
            
				SELECT a.pohyb_id, mnozstvo INTO $last_pohyb, $tmp_pocet
				FROM pohyb a INNER JOIN doklad b ON a.doklad_id=b.doklad_id 
				WHERE artikel_id=$artikel_id AND b.druh <> 1 AND b.druh <> 9 
				ORDER BY a.pohyb_id DESC LIMIT 1; 
                
				UPDATE pohyb SET cena = ABS($tmp_sumar / $tmp_pocet) WHERE pohyb_id = $last_pohyb;
                
            END iF;
            
			SET $novypriemer = $prijem ;
ELSE
	SELECT COALESCE(ROUND((SUM(a.cena*a.mnozstvo)/SUM(a.mnozstvo)),4),0) INTO $novypriemer
						FROM pohyb a INNER JOIN doklad b ON a.doklad_id=b.doklad_id 
						WHERE a.artikel_id=$artikel_id
						AND b.druh <> 9
						AND a.rucna = 0;
	IF ($novypriemer  < 0) THEN
	SELECT ROUND((AVG(a.cena)),4) INTO $novypriemer
						FROM pohyb a INNER JOIN doklad b ON a.doklad_id=b.doklad_id 
						WHERE a.artikel_id=$artikel_id 
						AND b.druh = 1
						AND a.rucna = 0;
	END IF;

END IF;


IF ($marza>0 && $predaj=0) THEN 
    SET $predaj = round($prijem*($marza / 100+1)*($dph / 100+1),2);
END IF;

UPDATE artikel SET cena_predaj=$predaj, cena_prijem=$prijem, cena_priemer=$novypriemer, za_mj = IF(hmotnost <> 0, 1 / hmotnost * cena_predaj, 0) WHERE artikel_id=$artikel_id;

COMMIT;
END;