DROP PROCEDURE IF EXISTS `Kopia_ponuky`;

CREATE DEFINER=`root`@`localhost` PROCEDURE `Kopia_ponuky`(
	IN `$pohyb` INT(11), 
	IN `$USER_ID` INT(11))
BEGIN
DECLARE $last_id INT;
DECLARE EXIT HANDLER FOR SQLEXCEPTION
BEGIN
    ROLLBACK;
END;
START TRANSACTION;

	INSERT INTO smsklad_ponuka 
		SELECT NULL, partner_id, 0, $USER_ID, dph, popis, poznamka, CURDATE() 
		FROM smsklad_ponuka 
		WHERE ponuka_id = $pohyb;
	SET $last_id = LAST_INSERT_ID();
	INSERT INTO smsklad_ponuka_pohyb 
		SELECT NULL, $last_id, artikel_id, $USER_ID, predaj, mnozstvo, dph, zlava, NOW(), poznamka, rucna 
		FROM smsklad_ponuka_pohyb 
		WHERE ponuka_id = $pohyb;

COMMIT;
END;