DROP PROCEDURE IF EXISTS `Dodak_pokladna`;

CREATE DEFINER=`root`@`localhost` PROCEDURE `Dodak_pokladna`(IN `$dodak_id` INT(11), IN `$pokladna` INT(11), IN `$USER_ID` INT(11))
BEGIN

DECLARE $doklad_id INT;
DECLARE $pocet INT;

START TRANSACTION;

SELECT 
    COUNT(b.doklad_id) AS pocet, b.doklad_id
INTO $pocet , $doklad_id FROM
    doklad a
        INNER JOIN
    doklad b ON a.vernost_id = b.doklad_id
WHERE
    a.doklad_id = $dodak_id
GROUP BY b.doklad_id;

SELECT IFNULL($pocet, 0) INTO $pocet;

IF ($pocet=0) THEN

INSERT INTO doklad 
            SELECT
                 NULL,
                 0,
                 0,
				 (SELECT sklad_id FROM doklad WHERE doklad_id = $dodak_id),
				 0,
                 $USER_ID,
				 0,
                 6,                           
                 COALESCE(MAX(cislo),0)+1,
                 0,
                 0,
                 $pokladna,
                 '',
                 '',
                 0,
                 '',
                 '',
                 '',
                 '',
                 '',
                 CURDATE(),
                 0,
                 NOW()
            FROM doklad
            WHERE druh IN (4,6);

SET $doklad_id = LAST_INSERT_ID();

UPDATE doklad 
SET 
    vernost_id = $doklad_id
WHERE
    doklad_id = $dodak_id;

END IF;

UPDATE doklad 
SET 
    u_datum = CURDATE(),
    datum = NOW()
WHERE
    doklad_id = $doklad_id;

DELETE FROM uctenka 
WHERE
    doklad_id = $doklad_id;

INSERT INTO uctenka 
            SELECT NULL
					,a.artikel_id
                    ,0
                    ,$doklad_id
                    ,(SELECT dph_id FROM dph WHERE sadzba = a.dph)
                    ,0
                    ,a.predaj
                    ,-1*a.mnozstvo
                    ,a.dph
                    ,NOW()
                    ,'0000-00-00 00:00:00'
                    ,a.poznamka
                    ,a.zlava
                    ,2
                    ,1
                    ,$USER_ID 
            FROM pohyb a
            WHERE a.doklad_id = $dodak_id
            ORDER BY a.pohyb_id ASC;

COMMIT;

END;