DROP PROCEDURE IF EXISTS `Pohyb_storno`;

CREATE DEFINER=`root`@`localhost` PROCEDURE `Pohyb_storno`(
IN $artikel_id INT(11),
IN $predaj DECIMAl(15,2),
IN $mnozstvo DECIMAL(20,3),
IN $USER_ID INT(11),
IN $doklad_id INT(11)
)
BEGIN

DECLARE $cenapriemer DECIMAL(17,4);
DECLARE $zasoba_id INT;
DECLARE $sadzba INT;
DECLARE $last_id INT;
DECLARE $dph_id INT;

START TRANSACTION;

SELECT a.cena_priemer, a.zasoba_id, b.sadzba, a.dph_id INTO $cenapriemer, $zasoba_id, $sadzba, $dph_id
FROM artikel a INNER JOIN dph b ON a.dph_id=b.dph_id 
WHERE a.artikel_id=$artikel_id;

INSERT INTO uctenka VALUES(NULL,
						  $artikel_id,
						  0,
						  $doklad_id,
						  $dph_id,
						  0,
						  $predaj,
						  $mnozstvo,
						  $sadzba,
						  NOW(),
						  '0000-00-00 00:00:00',
						  '',
						  0,
						  5,
						  0,
						  $USER_ID);
INSERT INTO pohyb VALUES(NULL,
						  $doklad_id,
						  LAST_INSERT_ID(),
						  $artikel_id,
						  1,
						  0,
						  $USER_ID,
                          $cenapriemer,
						  $predaj,
						  $mnozstvo,
						  $sadzba,
						  0,
						  NOW(),
						  '',
						  0);
IF ($zasoba_id=7) THEN

UPDATE pohyb SET zlava = $predaj WHERE doklad_id = $doklad_id;

END IF;

COMMIT;
END;