DROP PROCEDURE IF EXISTS `Prepocitaj_dopravu2`;
DROP PROCEDURE IF EXISTS `Prepocitaj_dopravu`;

CREATE DEFINER=`root`@`localhost` PROCEDURE `Prepocitaj_dopravu`(
IN $doprava DECIMAL(6,3),
IN $prijemka INT(11),
IN $sposob INT(1)
)
BEGIN

DECLARE $celkom DECIMAL(20,3);
DECLARE $cena DECIMAL(15,5);
DECLARE $novacena DECIMAL(15,5);
DECLARE $mnozstvo DECIMAL(20,3);
DECLARE $jeden DECIMAL(20,5);
DECLARE $pohyb_id INT(11);
DECLARE $artikel_id INT(11);
DECLARE done INT DEFAULT 1;

IF ($sposob = 1) THEN
	SELECT SUM(mnozstvo) INTO $celkom FROM pohyb WHERE doklad_id = $prijemka;
ELSEIF ($sposob = 2) THEN
	SELECT SUM(mnozstvo * cena) INTO $celkom FROM pohyb WHERE doklad_id = $prijemka;
END IF;

SET $jeden = $doprava / $celkom;

BEGIN
    DECLARE cursor1 CURSOR FOR SELECT pohyb_id,cena,mnozstvo,artikel_id FROM pohyb WHERE doklad_id = $prijemka ORDER BY pohyb_id DESC;
    DECLARE CONTINUE HANDLER FOR NOT FOUND SET done = 2;

    OPEN cursor1;
    read_loop: LOOP
    FETCH cursor1 INTO $pohyb_id,$cena,$mnozstvo,$artikel_id;
    IF done=2 THEN
        LEAVE read_loop;
    END IF;
    
    IF ($sposob = 1) THEN
		SET $novacena = $cena + $jeden;
	ELSEIF ($sposob = 2) THEN
		SET $novacena = $cena + ($jeden * $cena);
	END IF;
    
    UPDATE pohyb SET cena = $novacena WHERE pohyb_id = $pohyb_id;
    
    CALL Prepocitaj_priemer('2', $artikel_id); 

    END LOOP;

    CLOSE cursor1;
END;

END;