DROP VIEW IF EXISTS pohl_pokladna;

CREATE 
    ALGORITHM = UNDEFINED 
    DEFINER = `root`@`localhost` 
    SQL SECURITY DEFINER
VIEW `pohl_pokladna` AS
    SELECT 
        COALESCE(SUM(ROUND((`a`.`pocet` * ROUND((`a`.`cena` - ((`a`.`cena` * `a`.`zlava`) / 100)),
                                2)),
                        2)),
                0) AS `suma`,
        `a`.`stav` AS `stav`,
        `a`.`platba` AS `platba`,
        `b`.`cislo` AS `cislo`,
        `b`.`doklad_id` AS `doklad_id`,
        `b`.`datum` AS `datum`,
        `b`.`u_datum` AS `u_datum`,
        `b`.`zmazany_id` AS `zmazany_id`,
        `b`.`poukazka` AS `poukazka`,
        `c`.`meno` AS `meno`,
        `c`.`priezvisko` AS `priezvisko`,
        `a`.`miesto_id` AS `miesto_id`,
        COUNT(`a`.`uct_id`) AS `pocet`,
        `f`.`pokladna` AS `pokladna`,
        `g`.`sklad` AS `sklad`,
        (SELECT 
                SUM((`pohyb`.`cena` * `pohyb`.`mnozstvo`)) AS `spolu`
            FROM
                `pohyb`
            WHERE
                (`pohyb`.`doklad_id` = `b`.`doklad_id`)
            GROUP BY `pohyb`.`doklad_id`) AS `vydaj`
    FROM
        (((((`uctenka` `a`
        LEFT JOIN `doklad` `b` ON ((`a`.`doklad_id` = `b`.`doklad_id`)))
        JOIN `cis_user` `c`)
        JOIN `artikel` `e`)
        JOIN `smsklad_sklad` `g`)
        LEFT JOIN `smsklad_pokladne` `f` ON ((`f`.`pokladna_id` = `b`.`pokladna_id`)))
    WHERE
        ((`a`.`artikel_id` = `e`.`artikel_id`)
            AND (`a`.`stav` IN (1 , 6))
            AND (`e`.`zasoba_id` <> 7)
            AND (`b`.`druh` IN (4 , 6))
            AND (`b`.`user_id` = `c`.`user_id`)
            AND (`g`.`sklad_id` = `b`.`sklad_id`))
    GROUP BY `b`.`doklad_id`;