DROP VIEW IF EXISTS pohl_uct_suma;

CREATE 
    ALGORITHM = UNDEFINED 
    DEFINER = `root`@`localhost` 
    SQL SECURITY DEFINER
VIEW `pohl_uct_suma` AS
    SELECT 
        `a`.`miesto_id` AS `miesto_id`,
        `c`.`cislo` AS `cislo`,
        COALESCE(SUM(ROUND((`a`.`pocet` * ROUND((`a`.`cena` - ((`a`.`cena` * `a`.`zlava`) / 100)),
                                2)),
                        2)),
                0) AS `suma`
    FROM
        ((`uctenka` `a`
        JOIN `artikel` `b` ON ((`a`.`artikel_id` = `b`.`artikel_id`)))
        JOIN `doklad` `c` ON ((`a`.`doklad_id` = `c`.`doklad_id`)))
    WHERE
        ((`b`.`zasoba_id` <> 7)
            AND (`a`.`stav` = 0))
    GROUP BY `c`.`cislo`;