DROP VIEW IF EXISTS `pohl_miestnosti`;

CREATE 
    ALGORITHM = UNDEFINED 
    DEFINER = `root`@`localhost` 
    SQL SECURITY DEFINER
VIEW `pohl_miestnosti` AS
    SELECT 
        `x`.`miestnost_id` AS `miestnost_id`,
        `x`.`miestnost` AS `miestnost`,
        `x`.`z1` AS `z1`,
        `x`.`z2` AS `z2`,
        `x`.`v1` AS `v1`,
        `x`.`v2` AS `v2`,
        `x`.`activ` AS `activ`,
        COALESCE((SELECT 
                        `a`.`uct_id`
                    FROM
                        ((`uctenka` `a`
                        JOIN `stol` `b` ON ((`a`.`miesto_id` = `b`.`stol_id`)))
                        LEFT JOIN `miestnost` `c` ON ((`b`.`miestnost_id` = `c`.`miestnost_id`)))
                    WHERE
                        ((`a`.`stav` = 0)
                            AND (((`b`.`druh` = 1) AND (`b`.`activ` = 1)
                            AND (`c`.`miestnost_id` = `x`.`miestnost_id`))
                            OR ((`b`.`druh` IN (3 , 5, 6))
                            AND `b`.`miestnost_id` IN (SELECT 
                                `stol`.`stol_id`
                            FROM
                                `stol`
                            WHERE
                                ((`stol`.`druh` IN (1 , 2))
                                    AND (`stol`.`activ` = 1)
                                    AND (`stol`.`miestnost_id` = `x`.`miestnost_id`))))))
                    LIMIT 1),
                0) AS `farba`
    FROM
        `miestnost` `x`
    WHERE
        (`x`.`activ` = 1);