DROP VIEW IF EXISTS `pohl_inventura`;

CREATE 
    ALGORITHM = UNDEFINED 
    DEFINER = `root`@`localhost` 
    SQL SECURITY DEFINER
VIEW `pohl_inventura` AS
    SELECT 
        `a`.`artikel_id` AS `artikel_id`,
        `a`.`nazov` AS `nazov`,
        `b`.`jednotka` AS `jednotka`,
        `c`.`skupina` AS `skupina`,
        COALESCE(SUM(`d`.`mnozstvo`), 0) AS `pocet`
    FROM
        (((`artikel` `a`
        LEFT JOIN `mj` `b` ON ((`a`.`mj_id` = `b`.`mj_id`)))
        LEFT JOIN `artikel_skupina` `c` ON ((`a`.`skupina_id` = `c`.`skupina_id`)))
        LEFT JOIN `pohyb` `d` ON ((`a`.`artikel_id` = `d`.`artikel_id`)))
    WHERE
        ((`a`.`zasoba_id` = 1)
            AND (`a`.`activ` = 1))
    GROUP BY `a`.`artikel_id`
    ORDER BY `a`.`skupina_id` , `a`.`nazov`;