DROP PROCEDURE IF EXISTS `Vytvor_fakturu`;

CREATE DEFINER=`root`@`localhost` PROCEDURE `Vytvor_fakturu`(IN `$dodak_id` INT(11), IN `$datum_dod` DATE, IN `$datum_spl` DATE, IN `$uhrada` TINYINT(1), IN `$poznamka` VARCHAR(255), IN `$USER_ID` INT(11))
BEGIN
START TRANSACTION;
INSERT INTO faktura 
          SELECT
               NULL,
               (SELECT partner_id FROM doklad WHERE doklad_id = $dodak_id),
               $uhrada,
               $USER_ID,
               0,
               '',
               1,                           
               COALESCE(MAX(cislo),0)+1,
			   0,
               COALESCE((SELECT a.cena_predaj FROM artikel a, cis_partneri b WHERE a.artikel_id = b.artikel_id AND b.partner_id = (SELECT partner_id FROM doklad WHERE doklad_id = $dodak_id)),0), 
               $datum_dod,
               $datum_spl,
               $datum_dod,
               0,
               0,
               NOW(),
               $poznamka
          FROM faktura
          WHERE druh=1;
INSERT INTO faktura_dodaci VALUES(NULL,LAST_INSERT_ID(),$dodak_id);
COMMIT;
END;