<?php

if ($_GET['excell']==1)
  {
  require_once './head_xls.php';
  }
else
  {
  require_once './head.php';
  
  Hlavicka(2);  
  }
?>
<body>
<div align="center">

<h3>Faktúry od <?php echo date('d.m.Y', strtotime($_POST['od']))?> do <?php echo date('d.m.Y', strtotime($_POST['do']))?></h3>

<table class="zostavy">
<thead>
	<tr>
	  <th> Čislo </th>
    <th> Firma </th>
    <th> Dátum </th>
    <th> Poznámka </th>
    <th> Splatnost </th>
    <th> Úhrada </th>
    <th> Platba </th>
    <th> Zľava </th>
    <th> Suma </th>
 	</tr>
</thead>  
<tbody>
    <?php
    $query="SELECT a.*, b.firma, 
            COALESCE(-1 * (SUM(ROUND(((`e`.`predaj` * `e`.`mnozstvo`) - (((`e`.`predaj` * `e`.`mnozstvo`) * `e`.`zlava`) / 100)),2))),0)
          	+ COALESCE(SUM(g.cena * g.mnozstvo),0)
            + COALESCE(SUM(ROUND((( i.cena * i.pocet ) - ((( i.cena * i.pocet ) * `i`.`zlava`) / 100)),2)),0)
            + COALESCE(-1 * (SUM(ROUND(((m.predaj * m.mnozstvo) - (((m.predaj * m.mnozstvo) * `m`.`zlava`) / 100)),2))),0)
          	AS spolu
          FROM faktura a INNER JOIN cis_partneri b ON a.partner_id=b.partner_id
          LEFT JOIN faktura_dodaci c ON a.faktura_id=c.faktura_id
          LEFT JOIN doklad d ON c.doklad_id=d.doklad_id
          LEFT JOIN pohyb e ON e.doklad_id=d.doklad_id
          LEFT JOIN artikel f ON f.artikel_id=e.artikel_id AND f.zasoba_id<>7
          LEFT JOIN faktura_rucna g ON a.faktura_id=g.faktura_id
          LEFT JOIN faktura_uctenka h ON a.faktura_id=h.faktura_id
          LEFT JOIN uctenka i ON h.doklad_id=i.doklad_id AND (SELECT zasoba_id FROM artikel WHERE artikel_id=i.artikel_id) <> 7
          LEFT JOIN faktura_servis k ON a.faktura_id=k.faktura_id
          LEFT JOIN doklad l ON k.doklad_id=l.doklad_id
          LEFT JOIN pohyb m ON l.doklad_id=m.doklad_id 
          LEFT JOIN artikel n ON m.artikel_id=n.artikel_id AND n.zasoba_id<>7
          WHERE a.druh=1
          AND a.datum >= '".date('Y-m-d', strtotime($_POST['od']))."' 
          AND a.datum <= '".date('Y-m-d', strtotime($_POST['do']))."'
          GROUP BY a.faktura_id";

    //echo $query;
    $rs=mysqli_query($link, $query);
    while ($row=mysqli_fetch_array($rs))
      {
      unset ($uhrada);
      unset ($celkom);
   
      if ($row["platba"]>0) $uhrada = date('d.m.Y', strtotime($row["platba"]));

      $celkom = $row["spolu"] - Round($row["spolu"] * $row["zlava"]/100,2);
     
      ?>
    <tr bgcolor="<?php echo $bgcolor?>" class='tablerow'>
      <td align='right'><?php echo $row["cislo"]?></td>
      <td><b><?php echo $row["firma"]?></b></td>
      <td><?php echo date('d.m.Y', strtotime($row["u_datum"]))?></td>
      <td><?php echo $row["poznamka"]?></td>
      <td><?php echo date('d.m.Y', strtotime($row["d_splatnosti"]))?></td>
      <td><?php echo $stra005[$row["uhrada_id"]]?></td>
      <td><?php echo $uhrada?></td>
      <td align="right"><?php echo number_format($row["zlava"], 2, ',', '')?></td>
      <td align="right"><b><?php echo number_format($celkom, 2, ',', '')?></b></td>
    </tr>
    <?php
      $sumar += $celkom;
      }
    ?>
</tbody>
<tfoot>
  <tr>
    <td colspan="8">Spolu</td>
    <td align="right"><b><?php echo number_format($sumar, 2, ',', '')?></b></td>
  </tr>
</tfoot>
</table>
</div>
</body>
</html>