<?php

require_once './head.php';
require_once './function.php';

// ulozenie uzavierky
if ($_SESSION["user_id"] && $_REQUEST["ulozit"]==1)
  {
  $query = "INSERT INTO smsklad_uzavierka VALUE (NULL,".$_SESSION["user_id"].",".$POKLADNA_local.",NOW())";
  @mysqli_query($link, $query);
  
  // Denna zaloha databazy
  
  $backup_file = './backup/'.$DB_name."_".date("d-m-Y") . '.sql';
  $backup_zip = './backup/'.$DB_name."_".date("d-m-Y") . '.zip';
    
  if (!file_exists($backup_zip)) 
    {
    // adresar bin SQl servera
    $result = mysqli_query($link,"SHOW VARIABLES LIKE 'basedir'");
    $row = mysqli_fetch_assoc($result);
    $dir_mysql = $row['Value']."/bin";
    
    // backup database
    
    $command = $dir_mysql."/mysqldump -u $DB_user -p$DB_pass -h $DB_host --routines --events --single-transaction --opt $DB_name > $backup_file";
    exec($command); 
    
    if (class_exists('ZipArchive')) 
      {
      $zip = new ZipArchive();
      $zip->open($backup_zip, ZipArchive::CREATE);
      $zip->addFile($backup_file, $backup_file);
      $zip->close();
      unlink($backup_file); 
      }
      
    // vymazanie suborov starsich ako 10 dni
    $dir = "./backup";
    delete_older_than($dir, 3600*24*14);  
    }
  // koniec backupu
  
  Presmeruj("/uzavierky.php"); 
  }
Hlavicka(1);

//vyberie posledny datum uzavierky
$query = "SELECT MAX(datum) AS datum FROM smsklad_uzavierka WHERE pokladna_id = ".$POKLADNA_local." ORDER BY datum DESC LIMIT 1";
$rs=mysqli_query($link, $query);
while ($row=mysqli_fetch_array($rs))
  {
  $datum_od = $row["datum"];
  }
if (!$datum_od) $datum_od = "1970-01-01";
?>
<body>

<div class="obsluha">
<form action="./uzavierky_pokl.php?casnik=1" method="post">
<input type="submit" class="odhlas" name="out" value="Čašníci">
</form>
</div>

<div class="odhlasit">
<form action="./index.php" method="post">
<input type="submit" class="odhlas" name="out" value="Odhlásiť">
</form>
</div>

<div align="center">

<h3>Uzávierka pokladne</h3>

<table class="zostavy">
    <thead>
    <tr>
      <th colspan="2"><?php echo UZIVATEL($_SESSION['user_id']);?></th>
    </tr>
    <tr>
      <th>OD : <?php echo date('d.m.Y H:i:s', strtotime($datum_od));?></th>
      <th> DO : <?php echo Date("d.m.Y H:i:s");?></th>
    </tr>
    </thead> 
  <?php
  
   $query="SELECT COALESCE(SUM(ROUND((`a`.`pocet` * ROUND((`a`.`cena` - ((`a`.`cena` * `a`.`zlava`) / 100)), 2)), 2)), 0) AS `spolu`
          FROM uctenka a LEFT JOIN artikel b ON a.artikel_id=b.artikel_id
                         INNER JOIN doklad c ON a.doklad_id = c.doklad_id
          WHERE a.stav=6
          AND c.pokladna_id = ".$POKLADNA_local."
          AND b.zasoba_id<>7
          AND a.platba >='".$datum_od."'";  
  $rs=mysqli_query($link, $query);
  
  while ($row=mysqli_fetch_array($rs))
    {
    $celkom2+=$row["spolu"];
    }  
  ?>
  <tr>
    <td>Pokladňa (hotovosť)</td>
    <td align="right"><?php echo number_format($celkom2, 2, ',', '')?></td>
  </tr>
  <?php
  
  $query="SELECT SUM(c.poukazka) AS poukazky
          FROM  doklad c
          WHERE c.pokladna_id = ".$POKLADNA_local." AND doklad_id  IN (SELECT DISTINCT doklad_id FROM uctenka WHERE stav=6 AND platba >='".$datum_od."')";
  $rs=mysqli_query($link, $query);
  while ($row=mysqli_fetch_array($rs))
    {
    $poukazka = $row["poukazky"];
    }  
  ?>
  <tr>
    <td>z toho poukážkou</td>
    <td align="right"><?php echo number_format($poukazka, 2, ',', '')?></td>
  </tr>
  <?php
  
  $query="SELECT COALESCE(SUM(ROUND((`a`.`pocet` * ROUND((`a`.`cena` - ((`a`.`cena` * `a`.`zlava`) / 100)), 2)), 2)), 0) AS `spolu`
          FROM uctenka a LEFT JOIN artikel b ON a.artikel_id=b.artikel_id
               INNER JOIN doklad c ON a.doklad_id = c.doklad_id
          WHERE c.pokladna_id = ".$POKLADNA_local."
          AND a.stav IN (1,10)
          AND b.zasoba_id<>7
          AND a.platba  >='".$datum_od."'";
  
  $rs=mysqli_query($link, $query);
  
  while ($row=mysqli_fetch_array($rs))
    {
    $celkom5+=$row["spolu"];
    }  
  ?>
  <tr>
    <td>Pokladňa (karta)</td>
    <td align="right"><?php echo number_format($celkom5, 2, ',', '')?></td>
  </tr>
  <?php
  
  $query="SELECT COALESCE(SUM(ROUND((`a`.`pocet` * ROUND((`a`.`cena` - ((`a`.`cena` * `a`.`zlava`) / 100)), 2)), 2)), 0) AS `spolu`
          FROM uctenka a 
               LEFT JOIN artikel b ON a.artikel_id=b.artikel_id
               INNER JOIN doklad c ON a.doklad_id = c.doklad_id
          WHERE c.pokladna_id = ".$POKLADNA_local."
          AND a.stav=9
          AND b.zasoba_id<>7
          AND a.platba  >='".$datum_od."'";
  
  //echo $query;
  $rs=mysqli_query($link, $query);
  
  while ($row=mysqli_fetch_array($rs))
    {
    $celkom1+=$row["spolu"];
    } 
  ?>
  <tr>
    <td>Dodacie listy</td>
    <td align="right"><?php echo number_format($celkom1, 2, ',', '')?></td>
  </tr>  
  <?php
  
  $query="SELECT SUM(cena) AS spolu
          FROM faktura_platba   
          WHERE datum >='".$datum_od."'
          AND pokladna_id = ".$POKLADNA_local."";
  
  $rs=mysqli_query($link, $query);
  
  while ($row=mysqli_fetch_array($rs))
    {
    $celkom3 = $row["spolu"];
    }  
  ?> 
  
  <tr>
    <td>Faktury</td>
    <td align="right"><?php echo number_format($celkom3, 2, ',', '')?></td>
  </tr>
  <tr>
    <td>Spolu</td>
    <td align="right"><b><?php echo number_format($celkom1+$celkom2+$celkom3+$celkom5, 2, ',', '')?></b></td>
  </tr>
</table>

<h3>Uložiť uzávierku</h3>

<form method="post">
<input type="hidden" name="ulozit" value="1">
<table>
  <tr>
    <td colspan="2" align="right">
      <input type="submit" class="inputsubmit_red" value="Áno">
      </form>
      </td>
      <form action="./uzavierky.php" method="post">
    <td colspan="2">  
      <input type="submit" class="inputsubmit_green" value="Nie">
      </form>
      </td>
  </tr>
</table>

<br /><br /><br />

<table class="zostavy">
  <thead>
    <tr>
      <th>OD : <?php echo date('d.m.Y H:i:s', strtotime($datum_od));?></th>
      <th> DO : <?php echo Date("d.m.Y H:i:s");?></th>
    </tr>
  </thead>
  <tbody>
  <?php
  $query="SELECT COALESCE(SUM(ROUND((`a`.`pocet` * ROUND((`a`.`cena` - ((`a`.`cena` * `a`.`zlava`) / 100)), 2)), 2)), 0) AS `spolu`
          FROM uctenka a LEFT JOIN artikel b ON a.artikel_id=b.artikel_id
               INNER JOIN doklad c ON a.doklad_id = c.doklad_id
          WHERE c.pokladna_id = ".$POKLADNA_local."
          AND a.stav=7
          AND b.zasoba_id<>7
          AND a.platba  >='".$datum_od."'";
  
  //echo $query;
  $rs=mysqli_query($link, $query);
  
  while ($row=mysqli_fetch_array($rs))
    {
    $celkom4+=$row["spolu"];
    } 
  ?>
  
  <tr>
    <td>Na zákazníka</td>
    <td align="right"><?php echo number_format($celkom4, 2, ',', '')?></td>
  </tr>
  <?php
  $query="SELECT COALESCE(SUM(ROUND((`a`.`pocet` * ROUND((`a`.`cena` - ((`a`.`cena` * `a`.`zlava`) / 100)), 2)), 2)), 0) AS `spolu`
          FROM uctenka a LEFT JOIN artikel b ON a.artikel_id=b.artikel_id
               INNER JOIN doklad c ON a.doklad_id = c.doklad_id
          WHERE c.pokladna_id = ".$POKLADNA_local."
          AND a.stav=8
          AND b.zasoba_id<>7
          AND a.platba >='".$datum_od."'";
  
  //echo $query;
  $rs=mysqli_query($link, $query);
  
  while ($row=mysqli_fetch_array($rs))
    {
    $celkom6+=$row["spolu"];
    } 
  ?>
  
  <tr>
    <td>Na réžiu</td>
    <td align="right"><?php echo number_format($celkom6, 2, ',', '')?></td>
  </tr>
</tbody>
</table>


<?php
if ($_GET['casnik'] == 1) require_once './casnici.php';
?>




<?php
// update eshop
if ($UPDATE_ESHOP || $UPDATE_ESHOP != 0)
  {
  ?>
  <h3>Update eshopu</h3>
  
  <table>
  <thead>
    <tr><th>mpn :</th><th>počet : </th><th>výsledok : </th></tr>
  </thead>  
  <?php
  require_once "./settings/settings_eshop.php";                    //nastavenia
  $link2 = mysqli_connect($DB_eshop_host,$DB_eshop_user,$DB_eshop_pass,$DB_eshop_name,$DB_eshop_socket) or die ("Neda sa pripojit k MySQL :". mysqli_connect_error());
  mysqli_query($link2, "SET CHARACTER SET utf8");
  mysqli_query($link2, "SET NAMES 'UTF8'");
  
  $query="SELECT artikel_id, pocet FROM pohl_inventura ORDER by artikel_id";
  //echo $query;
  $rs=mysqli_query($link, $query);
  
  while ($row=mysqli_fetch_array($rs))
    {
    $query2="UPDATE oc_product SET quantity = ".$row["pocet"]." WHERE mpn = ".$row["artikel_id"]." LIMIT 1";
    $result = mysqli_query($link2, $query2);
    if ($result) $text = "...OK <br>";
    else $text = "...neexistuje <br>";    
    ?>
    <tr>
      <td align="right"><?php echo $row["artikel_id"]?></td>
      <td align="right"><?php echo $row["pocet"]?></td>
      <td><?php echo $text?></td>
      <td><?php echo mysqli_affected_rows($link2);?></td>
    </tr>
    <?php    
    }
  ?>
  </table>
  <?php
  }

?>

</div>
</body>
</html>