<?php

require_once './head.php';
require(dirname(__FILE__).'/dompdf/autoload.inc.php'); 
  
use Dompdf\Dompdf;
   
$token_id=$_SESSION[$_GET["dat"]];          //nacita ID z sessions  

Hlavicka(0);

$query="SELECT a.cislo, b.email
        FROM faktura a INNER JOIN cis_partneri b ON a.partner_id=b.partner_id  
        WHERE a.faktura_id=".$token_id."";
//echo $query;
$rs=mysqli_query($link, $query);
while ($row=mysqli_fetch_array($rs)) 
  {
  $e_adresa = $row["email"];
  $cislo = $row["cislo"];
  }

$query = "SELECT text FROM smsklad_email WHERE id = 1";
$rs=mysqli_query($link, $query);
while ($row=mysqli_fetch_array($rs)) 
  {
  $predvoleny = NL2BR($row["text"]);
  }
  
if ($_REQUEST["email"] && $predvoleny && $_REQUEST["zmazat"]==1)
  {
  $query="SELECT * FROM cis_firma WHERE firma_id = 1";
  $rs=mysqli_query($link, $query);
  while ($row=mysqli_fetch_array($rs)) 
    {
    $firma=$row["firma"];
    }  
     
  ob_start();
  
  require_once './faktura_print.php';
  
  $html = ob_get_clean();
  
  $dompdf = new Dompdf();
  $dompdf->loadHtml($html);
  $dompdf->setPaper('A4', 'portrait');
  $dompdf->set_option('isFontSubsettingEnabled', true);
  $dompdf->render();
  
  // The next call will store the entire PDF as a string in $pdf
  $pdf = $dompdf->output();
  
  $filename = $cislo.'.pdf';
  // You can now write $pdf to disk, store it in a database or stream it to the client.
  file_put_contents($filename, $pdf);


  require 'class/SMTPMailer.php';
  $mail = new SMTPMailer();
  
  $mail->addTo($_REQUEST["email"]); 
  
  $mail->Subject('Elektronická faktúra');
  $mail->Body($predvoleny);
  
  $mail->File($filename);
  
  if ($mail->Send()) 
    {
    unlink($filename);
    $query = "UPDATE faktura SET send = 1 WHERE faktura_id = ".$token_id."";
    mysqli_query($link, $query);
    if ($_REQUEST["save"]==1)
        {
        $query = "UPDATE cis_partneri SET email = '".$_REQUEST["email"]."' WHERE partner_id = (SELECT partner_id FROM faktura WHERE faktura_id = ".$token_id.")";
        mysqli_query($link, $query);
        }
    Presmeruj("/faktura.php");
    }
  else 
    {
    unlink($filename);
    echo 'Mail failure';
    }
  }
?>
<body>

<div align="center">

<h3>Odoslať faktúru ?</h3>

<?php 
if (!$predvoleny) echo "<h3>Email sa nedá odoslať. Najprv nastav text emailu v menu Administrator -> Email<h3>";
?>

<form method="post">
<input type="hidden" name="zmazat" value="1"> 
<input type="hidden" name="pohyb_id" value="<?php echo $token_id?>"> 
<table class="tablezmaz" cellspacing="1" cellpadding="0" style="width:470px;height:200px;">
  <thead></thead>
    <tr>
 	  <td align="center" colspan="2">na email:</td>                           
 	</tr>	
   <tr>
 	  <td align="center" colspan="2"><input class="inputtext" type="email" name="email" value='<?php echo $e_adresa ?>' maxlength="150" required></td>                           
 	</tr> 
   <tr>
 	  <td align="center" colspan="2"><input class="inputtext" type="checkbox" name="save" value="1" > Uložiť email na partnera</td>                           
 	</tr>   
  <tr>
    <td align="right">
      <input type="submit" class="inputsubmit_red" value="Áno">
      </form>
      </td>
    <td>
      <form action="./faktura.php" method="post">
      <input type="submit" class="inputsubmit_green" value="Nie">
      </form>
      </td>
  </tr>
</table>
</div>
</body>
</html>