<?php
/*
*       Hlavicka 
* Vlozi nastavenia z settings.php + subor s jazykom podla settings.php
* Pripoji sa k DB podla settings.php
* Funkcia Presmeruj(subor) presmeruje na subor
* Funkcia Hlavicka(cislo) vypise hlavicku
*  0-bez kontroly
*  1-s kontrolou prihlasenia, presmerovanie na index.php
*  2-s kontrolou prihlasenia, presmerovanie na admin.php
*/ 

//error_reporting(0);

session_start();

require(dirname(__FILE__).'/settings/settings.php');       // nastavenia
require(dirname(__FILE__).'/lang/'.$LANG_file);            // jazyk
require(dirname(__FILE__).'/connect.php');                 // pripojenie k DB 

$dir_loc = "Location:http://".$_SERVER["HTTP_HOST"].substr(substr($_SERVER['SCRIPT_NAME'], 0, strpos($_SERVER['SCRIPT_NAME'],basename($_SERVER['SCRIPT_NAME']))),0,-1);

function Presmeruj($subor)
  {
  global $dir_loc;
  
  $dir_loc.=$subor;
  Header("".$dir_loc."");
  exit;
  }

function UZIVATEL($user)
  {
  global $link;
  
  $query="SELECT meno,priezvisko FROM cis_user WHERE user_id=".$user."";
  $rs=mysqli_query($link, $query);
  while ($row=mysqli_fetch_array($rs))
    {
    $meno = $row["meno"]." ".$row["priezvisko"];
    }
  mysqli_free_result($rs);
  return $meno;
  }

function Kontrola($aaa)
  {
  global $dir_loc;
  
  if ($aaa==1 && (!isset($_SESSION["user_id"])))
    {  
     $dir_loc.="/index.php";
     Header("".$dir_loc."");
     exit;
    }
  if ($aaa==2 && (!isset($_SESSION["admin_id"])))
    {  
     $dir_loc.="/admin.php";
     Header("".$dir_loc."");
     exit;
    }
  }
  
function Hlavicka($kontrola)
  {
  global $DEF_charset,$tittle1,$dir_loc;
  
  if ($kontrola==1 && (!isset($_SESSION["user_id"])))
    {  
     $dir_loc.="/index.php";
     Header("".$dir_loc."");
     exit;
    }
  if ($kontrola==2 && (!isset($_SESSION["admin_id"])))
    {  
     $dir_loc.="/index.php";
     Header("".$dir_loc."");
     exit;
    }


  Header("Cache-Control: no-cache");              //neukladat do cache
    
  ?>
  <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
  <html>
  <head>
  <meta http-equiv="Content-Type" content="text/html; charset=<?php echo $DEF_charset?>">
  <meta name="author" content="SMsoft s.r.o.">
  <meta name="robots" content="index, follow, archive" />
  <meta name="revisit" content="1 day" />
  <meta name="description" content="Predajna, Restauracia" />
  <meta name="keywords" content=" " />
  
  
  <title>SMsklad - SMsoft s.r.o.</title> 
  <link rel="stylesheet" type="text/css" href="style.css">
  </head>
<?php
 
  }
  
?>
