<?php
/* 
* Overenie prihlasenia
* Meno a heslo musi existovat v DB, musi byt ativny 
* Po overeni nastavi $_SESSION[user_id] na ID prihlaseneho
* Presmeruje na menu.php 
*/

require_once './head.php';

$query="SELECT user_id, admin FROM cis_user WHERE login = ? AND activ = 1 AND pass = (SELECT PASSWORD(?))";

$stmt = mysqli_stmt_init($link);        
if (mysqli_stmt_prepare($stmt, $query)) {

    /* bind parameters for markers */
    mysqli_stmt_bind_param($stmt, "is", $_POST["user"], $_POST["psw"]);

    /* execute query */
    mysqli_stmt_execute($stmt);

    /* bind result variables */
    mysqli_stmt_bind_result($stmt, $vysl, $admin);

    /* fetch value */
    mysqli_stmt_fetch($stmt);

    /* close statement */
    mysqli_stmt_close($stmt);
}

/* close connection */
mysqli_close($link);

// ak je OK zaregistruje user_id do session
// ak je admin presmeruje na ine menu
if ($vysl && $admin==1)
  {
  $_SESSION['admin_id']=$vysl;
  Presmeruj("/menu.php");
  }
Presmeruj("/admin.php") 
?>
