<?php
require_once './printers/pegas_fm06_dll.php';

function ZRUSENIE_DOKLADU ($Popis)
  {
  $res=paragonEnd (0);
  if ($res!=06) 
    {
    $res=destroyParagon ($Popis);  
    if ($res!=06) {echo errorDisplay (SubStr($res,0,2)); break;}
    }
  }
  

function VYTLAC_DANOVY_DOKLAD ($tlac,$stol,$doklad_id,$karta,$ponuknuta)            // tlac : 0- predaj, 1- restauracia , 2 rozdeleny ucet, 3 servis
  {
  global $link;
  global $ONLY_cash;                                                     // stol : nazov stola
  $i=1;                                                                  // odberatel : ID odberatela alebo ID dokladu
  unset ($celkom);                                                       // karta: 0 - hotovost, 1 - platobna karta
  unset ($zlava);                                                        // ponuknuta: ponuknuta suma od zakaznika

  // vyslanie poloziek na tlaciaren
  $query="SELECT *, SUM(cena*pocet) AS spolu, SUM(pocet) AS mnozstvo, SUM(ROUND( cena * pocet * zlava /100, 2 )) AS sumazlava
          FROM pohl_tlac_danovy"; 
  if ($tlac==0)
    {
    $query.=" WHERE user_id=".$_SESSION['user_id']." AND stav=5 GROUP BY artikel_id,zlava,cena,poznamka ORDER BY uct_id DESC";
    }
   else if ($tlac==1)
    {
    $query.=" WHERE miesto_id=".$_SESSION['stol']." AND stav=0 GROUP BY artikel_id,zlava,cena ORDER BY datum DESC";
    }
  else if ($tlac==2)
    {
    $query.=" WHERE doklad_id = ".$_SESSION['uct_id']." GROUP BY artikel_id,zlava,cena ORDER BY datum DESC";
    }
  else if ($tlac==3)
    {
    $query.=" WHERE doklad_id=".$doklad_id." GROUP BY artikel_id,zlava,cena,poznamka ORDER BY datum DESC";
    }
  $rs=mysqli_query($link, $query);
  if (mysqli_num_rows($rs)==0)
    {
    echo "Chyba odosielania na tlaciaren...skuste znovu..<a href='index.php'>Spat</a>";
    break;
    }
  $res = paragonBegin (0,0,0,0,0);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;} 
   
  while ($row=mysqli_fetch_array($rs))
    {
    // cislo objednavky
    $objcislo = $row["cislo"];
    $firma = $row["firma"];
    $obsluha = $row["meno"]." ".$row["priezvisko"];
    // DPH
    if ($row["dph_id"]==1) $dph="A";
    else if ($row["dph_id"]==2) $dph="B";
    else $dph="C";
    // polozky na tlaciaren, ak je polozka zlava tak ju posleme az po vsetkych polozkach
    if ($row["temptext"])                 // docasny text
      {
      $row["nazov"]=$row["temptext"];
      $queryt = "UPDATE artikel SET temptext='' WHERE artikel_id='".$row["artikel_id"]."'";
      mysqli_query($link, $queryt);
      }
    $row["nazov"] = ZAMEN_ZNAKY ($row["nazov"]);
    $row["nazov"] = substr ($row["nazov"],0,39);
    if ($row["zasoba_id"]==8)   // ak je artikel "zaloha za oaly"
      {
      $res = itemNegative ($i,$row["nazov"],$row["spolu"],$dph,-1 * $row["mnozstvo"],$row["cena"],$row["jednotka"]);
      }
    else if ($row["zasoba_id"]!=8 && $row["mnozstvo"]<0)   // ak je artikel vratenie tovaru
      {
      $res = itemVoid ($i,$row["nazov"],$row["spolu"],$dph,-1 * $row["mnozstvo"],$row["cena"],$row["jednotka"]);
      }
    else
      {
      $res = itemSale ($i,$row["nazov"],$row["spolu"],$dph,$row["mnozstvo"],$row["cena"],$row["jednotka"]);
      }
    if ($res!=06) {echo errorDisplay (SubStr($res,0,2)); ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA");break;}
    // text za polozkou (poznamka)
    if ($ONLY_cash==1 && $row["poznamka"])
      {
      $row["poznamka"] = ZAMEN_ZNAKY ($row["poznamka"]);
      setPostline ($row["poznamka"]);
      if ($res!=06) {echo errorDisplay (SubStr($res,0,2)); ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA");break;}
      }
    $celkom+=$row["spolu"];
    $i++;
    // ak ma polozka zlavu,poslem zlavu
    if ($row["zlava"]!='0') 
      {
      $celkom -= $row["sumazlava"];
      $textzlava = "Zlava ".$row["zlava"]."%";
      itemDiscount ($i,$textzlava,0,$row["sumazlava"],$dph);
      if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
      $i++;
      }
    }
  if ($karta==0) $res = payment ($i,16,$celkom,$ponuknuta,0,"HOTOVOST");
  else if ($karta==1) $res = payment ($i,1,$celkom,0,0,"KARTA");
  else if ($karta==5) 
    {
    if (!$_POST['poukazka']) $_POST['poukazka']=0;
    $zostatok = $celkom - $_POST['poukazka'];
    $res = payment ($i,16,$zostatok,$ponuknuta,0,"HOTOVOST");
    if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
    $res = payment ($i,6,$_POST['poukazka'],0,0,"POUKAZKA");
    }
  
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  // uzivatel
  $i++;
  $text = "Obsluha:".$obsluha;
  $text = ZAMEN_ZNAKY ($text);
  $res = printAnnouncement ($i,$text);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  // odberatel  
  if ($doklad_id!=0 && $tlac!=3)
    {
    $i++;
    $text = "Odberatel : ".$firma;
    $text = ZAMEN_ZNAKY ($text);
    $text = substr ($text,0,39);
    $res = printAnnouncement ($i,$text);
    if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
    }
  $i++;
  $text="Cislo : ".$objcislo;
  $res = printAnnouncement ($i,$text);
  if ($ONLY_cash==1)
    {
   $i++;
    $text="Miesto : ".$stol;
    $text = ZAMEN_ZNAKY ($text);
    $res = printAnnouncement ($i,$text);
    if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}   
    }
  $res=paragonEnd (0);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  
  return $res;
  }

function VYTLAC_OBJEDNAVKU ($kuchyna, $stol,$predaj)           //   0 - bar, 1 - kuchyna, 2 - kuchyna2
  {                                                            // stol :  názov stola
  global $link;                                                // predaj : 1 - restauracia, 2 - predaj
  $res = paragonBegin (6,0,0,0,0);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  $i=1;
  if ($kuchyna==0)  $text = "__________________BAR_________________";
  else if ($kuchyna==1) $text = "_______________KUCHYNA________________";
  else if ($kuchyna==2) $text = "_______________KUCHYNA_2______________";
  $res = printAnnouncement ($i,$text);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}   
  // uzivatel a stol
  if ($ONLY_cash==0)
    {
    $query="SELECT meno, priezvisko FROM cis_user WHERE user_id='".$_SESSION['user_id']."'";
    $rs=mysqli_query($link, $query);
    while ($row=mysqli_fetch_array($rs))
      {
      $i++;
      $text = "Obsluha : ".$row["meno"]." ".$row["priezvisko"];
      $text = ZAMEN_ZNAKY ($text);
      $res = printAnnouncement ($i,$text);
      if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
      }  
    $i++;
    // stol
    $text="Miesto : ".$stol;
    $text = ZAMEN_ZNAKY ($text);
    $res = printAnnouncement ($i,$text);
    if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}    
    }
  $i++;  
  $text = date("d.m.Y H:i:s");
  $res = printAnnouncement ($i,$text);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;} 
  $i++;  
  $res = printAnnouncement ($i,"---------------------------------------");
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  $i++;
  // vyslanie poloziek na tlaciaren
  if ($predaj==1)
    {
    $query="SELECT d.cislo,a.cena,a.cena*a.pocet AS spolu,a.pocet AS mnozstvo,a.poznamka, b.nazov,b.zasoba_id, b.cena_predaj, c.jednotka 
            FROM uctenka a, artikel b, mj c, doklad d 
            WHERE a.artikel_id=b.artikel_id
            AND a.doklad_id = d.doklad_id
            AND b.mj_id=c.mj_id
            AND b.kuchyna=".$kuchyna." 
            AND a.print=0
            AND a.miesto_id=".$_SESSION['stol']." 
            AND a.user_id=".$_SESSION['user_id']."
            AND a.stav=0 ORDER BY a.datum";   
    }
  else if ($predaj==2)
    {
    $query="SELECT d.cislo,a.cena,a.cena*a.pocet AS spolu,a.pocet AS mnozstvo,a.poznamka, b.nazov,b.zasoba_id, b.cena_predaj, c.jednotka 
            FROM uctenka a, artikel b, mj c, doklad d  
            WHERE a.artikel_id=b.artikel_id
            AND a.doklad_id = d.doklad_id
            AND b.mj_id=c.mj_id
            AND b.kuchyna=".$kuchyna." 
            AND a.print=0
            AND a.user_id=".$_SESSION['user_id']." 
            AND a.stav=5 ORDER BY a.datum"; 
    }
  //echo $query;
  $rs=mysqli_query($link, $query);
  while ($row=mysqli_fetch_array($rs))
    {
    $cislo = $row["cislo"];
    $row["nazov"] = substr ($row["nazov"],0,39);
    $text = ZAMEN_ZNAKY ($row["nazov"]);
    
    $res = printAnnouncement ($i,$text);
    if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
    if ($row["poznamka"])
      {
      $text = ZAMEN_ZNAKY ($row["poznamka"]);
      $res = printAnnouncement ($i,$text);
      if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
      }
    $i++;
    $text = $row["mnozstvo"]." ".$row["jednotka"];
    $res = printAnnouncement ($i,$text);
    if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
    $i++;
    }
  //ciara
  $res = printAnnouncement ($i,"---------------------------------------");
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  $i++;
  $text="Objednavka c. : ".$cislo;
  $res = printAnnouncement ($i,$text);
  $i++;
  $res=paragonEnd (0);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  
  return $res;
  }

function VYTLAC_DODAK ($sql,$nadpis,$stol)       // 0 - predaj, 1 - restauracia, 2 - rest rozdelenie, 3 - doklad_id 
  {                                              // 0 - dodak, 1 - rezia, 2 - kredit
  global $link;
  global $ONLY_cash;
  
  unset ($celkom);
  $res = paragonBegin (3,0,0,0,0);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  $i=1;
  if ($nadpis==0)  $text = "______________DODACI_LIST______________";
  else if ($nadpis==1) $text = "________________REZIA__________________";
  else if ($nadpis==2) $text = "________________KREDIT_________________";
  $res = printAnnouncement ($i,$text);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;} 
  if ($nadpis==0)
    {
    // odberatel
    $i++;
    if ($sql==3) $query = "SELECT a.firma,a.ico,b.datum FROM cis_partneri a RIGHT JOIN doklad b ON a.partner_id=b.partner_id WHERE b.doklad_id ='".$stol."'";
    else $query = "SELECT firma,ico FROM cis_partneri WHERE partner_id='".$_POST["partneri"]."'";
    $rs=mysqli_query($link, $query);
    while ($row=mysqli_fetch_array($rs))
      {
      $ico = $row["ico"];
      $firma = $row["firma"];
      if ($sql==3) $datum_old = $row["datum"];
      }
    $text = substr ($firma,0,39);
    $text = ZAMEN_ZNAKY ($text);
    $res = printAnnouncement ($i,$text);
    if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
    $i++;
    $text = "ICO : ".$ico;
    $res = printAnnouncement ($i,$text);
    if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
    $i++;
    } 
  if ($sql==3) $text = date('d.m.Y H:i:s', strtotime($datum_old));   
  else $text = date("d.m.Y H:i:s");
  $res = printAnnouncement ($i,$text);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;} 
  $i++;
  $res = printAnnouncement ($i,"---------------------------------------");
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}     
  // vyslanie poloziek na tlaciaren
  $query="SELECT *, SUM(cena * pocet) AS spolu, SUM(pocet) AS mnozstvo, -1*SUM(ROUND( cena * pocet * zlava /100, 2 )) AS sumazlava
          FROM pohl_tlac_dodak";
  if ($sql==0)
    {
    $query.=" WHERE user_id=".$_SESSION['user_id']." AND stav=5 GROUP BY artikel_id,zlava,cena,poznamka ORDER BY uct_id DESC";
    }
   else if ($sql==1)
    {
    $query.=" WHERE miesto_id=".$_SESSION['stol']." AND stav=0 GROUP BY artikel_id,zlava,cena ORDER BY datum DESC";
    }
  else if ($sql==2)
    {
    $query.=" WHERE doklad_id = ".$_SESSION['uct_id']." GROUP BY artikel_id,zlava,cena ORDER BY datum DESC";
    }
  else if ($sql==3)
    {
    $query.=" WHERE doklad_id=".$stol." GROUP BY artikel_id,zlava,cena,poznamka ORDER BY datum DESC";
    }
  //echo $query;
  $rs=mysqli_query($link, $query);
  while ($row=mysqli_fetch_array($rs))
    {
    // cislo objednavky
    $cislo = $row["cislo"];
    $obsluha = $row["meno"]." ".$row["priezvisko"];                           
    if ($row["temptext"]) 
      {
      $row["nazov"]=$row["temptext"];
      $queryt = "UPDATE artikel SET temptext='' WHERE artikel_id='".$row["artikel_id"]."'";
      mysqli_query($link, $queryt);
      }
    $row["nazov"] = substr ($row["nazov"],0,39);
    $text = ZAMEN_ZNAKY ($row["nazov"]);
    $res = printAnnouncement ($i,$text);
    if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
    $i++;
    $text = $row["cena"]." EUR       ".$row["mnozstvo"]." ".$row["jednotka"]."    ".number_format($row["spolu"], 2, ',', '');
    $res = printAnnouncement ($i,$text);
    if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
    $i++;
    // poznamka za polozkou
    if ($ONLY_cash==1 && $row["poznamka"])
      {
      $text = ZAMEN_ZNAKY ($row["poznamka"]);
      $res = printAnnouncement ($i,$text);
      if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
      $i++;
      }
    $celkom+=$row["spolu"];
    if ($row["zlava"]!=0)
      {
      $celkom += $row["sumazlava"];
      $text = "Zlava          ".$row["zlava"]." %   ".$row["sumazlava"];
      $res = printAnnouncement ($i,$text);
      if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
      $i++;
      }
    } 
  $res = printAnnouncement ($i,"+-------------------------------------+");
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  $i++;
  $celkom = Round($celkom,2);
  $text = "Spolu : ".number_format($celkom, 2, ',', '')." EUR";
  $res = printAnnouncement ($i,$text);   
  $i++;    
  $text = "Celkom k uhrade : ".number_format($celkom, 2, ',', '')." EUR";
  $res = printAnnouncement ($i,$text);  
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  $i++;
  $res = printAnnouncement ($i,"+-------------------------------------+");
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  $i++;
  // uzivatel
  $i++;
  $text = "Obsluha:".$obsluha;
  $text = substr ($text,0,39);
  $text = ZAMEN_ZNAKY ($text);
  $res = printAnnouncement ($i,$text);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}

  if ($ONLY_cash==1 && $sql!=3)
    {
    // stol
    $text="Miesto : ".$stol;
    $text = ZAMEN_ZNAKY ($text);
    $res = printAnnouncement ($i,$text);
    if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
    $i++;   
    }
  $text="Cislo : ".$cislo;
  $res = printAnnouncement ($i,$text);
  $i++;
  $res = printAnnouncement ($i,"---------------------------------------");
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  $i++;
  $res = printAnnouncement ($i,"|                                     |");
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  $i++;
  $res = printAnnouncement ($i,"|                                     |");
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  $i++;
  $res = printAnnouncement ($i,"----------------PODPIS-----------------");
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}

  $res=paragonEnd (0);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  
  return $res;
  }


function UZAVIERKA ($TypSpravy,$CisloSpravy)
  {
  $res=printReport ($TypSpravy,$CisloSpravy);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2)); break;}
  }

function KOPIA_DOKLADU ($doklad_id)
  {
  $res=repeatParagon ();
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  }
  
function ZACAT_PREDAJ ()
  {
  $res=sellingDayBegin (1);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2)); break;}
  }
  
function TEXT_DISPLAY ($TypDispleja,$text)
  {
  printDisplay ($TypDispleja,$text);
  }

function VKLAD_HOTOVOSTI ($PopisOperacie,$TypOperacie,$SumaCelkom,$CisloPlatidla)
  {
  $res = paragonBegin (5,0,0,0,0);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2)); break;}
  $res = depositeInDrawer (1,$PopisOperacie,$TypOperacie,$SumaCelkom,$CisloPlatidla);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2)); break;}
  $res = paragonEnd (2,0);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2)); break;}
  }
  
function ZMAZ_DISPLAY ($TypDispleja)
  {
  clearDisplay ($TypDispleja);
  }

function ZRUS_UCTENKU ($token_id,$typ,$pocet,$user)      // typ: 1 - cely doklad, 2- po polozkach)
  {
  global $link;
  $res = paragonBegin (0,0,0,0,0);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  if ($typ == 1)
    {
    $query="SELECT a.cena,SUM(a.cena*a.pocet) AS spolu,SUM(a.pocet) AS mnozstvo,a.zlava, a.poznamka, b.nazov,b.zasoba_id, b.cena_predaj, c.jednotka, d.dph_id,
                 SUM(ROUND( a.cena * a.pocet * a.zlava /100, 2 )) AS sumazlava, e.cislo, e.poukazka 
          FROM uctenka a, artikel b, mj c, dph d, doklad e 
          WHERE a.artikel_id=b.artikel_id
          AND a.doklad_id = e.doklad_id
          AND b.mj_id=c.mj_id
          AND b.zasoba_id <> 7
          AND a.dph=d.sadzba 
          AND a.doklad_id=".$token_id."
          GROUP BY a.artikel_id,a.zlava,a.cena,a.poznamka";    
    }
  else if ($typ == 2)
    {
    $query="SELECT a.cena,a.cena * ".$pocet." AS spolu,a.pocet AS mnozstvo,a.zlava, a.poznamka, b.nazov,b.zasoba_id, b.cena_predaj, c.jednotka, d.dph_id,
                 ROUND( a.cena * ".$pocet." * a.zlava /100, 2 ) AS sumazlava, e.cislo, e.poukazka 
          FROM uctenka a, artikel b, mj c, dph d, doklad e 
          WHERE a.artikel_id=b.artikel_id
          AND a.doklad_id = e.doklad_id
          AND b.mj_id=c.mj_id
          AND b.zasoba_id <> 7
          AND a.dph=d.sadzba 
          AND a.uct_id = ".$token_id."
          GROUP BY a.artikel_id,a.zlava,a.cena,a.poznamka";    
    }
  //echo $query;
  $rs=mysqli_query($link, $query);
  while ($row=mysqli_fetch_array($rs))
    {
    // mnozstvo ak sa maze iba jedna polozka
    if ($typ == 2) $row["mnozstvo"]=$pocet;
    // cislo objednavky
    $cislo = $row["cislo"]; 
    // DPH
    if ($row["dph_id"]==1) $dph="A";
    else if ($row["dph_id"]==2) $dph="B";
    else $dph="C";

    $row["nazov"] = ZAMEN_ZNAKY ($row["nazov"]);
    $row["nazov"] = substr ($row["nazov"],0,39);
    
    if ($row["zasoba_id"]==8)   // ak je artikel "zaloha za oaly"
      {
      $res = itemSale ($i,$row["nazov"],$row["spolu"],$dph,-1 * $row["mnozstvo"],$row["cena"],$row["jednotka"]);
      }
    else if ($row["zasoba_id"]!=8 && $row["mnozstvo"]<0)   // ak je artikel vratenie tovaru
      {
      $res = itemSale ($i,$row["nazov"],$row["spolu"],$dph,-1 * $row["mnozstvo"],$row["cena"],$row["jednotka"]);
      }
    else
      {
      $res = itemReturn ($i,$row["nazov"],$row["spolu"],$dph,$row["mnozstvo"],$row["cena"],$row["jednotka"]);
      }
    if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
    $celkom+=$row["spolu"];
    if ($ONLY_cash==1 && $row["poznamka"])
      {
      $row["poznamka"] = ZAMEN_ZNAKY ($row["poznamka"]);
      setPostline ($row["poznamka"]);
      if ($res!=06) {echo errorDisplay (SubStr($res,0,2)); ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA");break;}
      }
    $i++;
    if ($row["zlava"]!='0') 
      {
      $celkom -= $row["sumazlava"];
      itemDiscount ($i,"Zlava_%",1,$row["sumazlava"],$dph);
      if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
      $i++;
      }
    $poukazka = $row["poukazka"];
    }
  $res = payment ($i,16,$celkom,0,0,"HOTOVOST");
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  
  // uzivatel
  $query="SELECT meno, priezvisko FROM cis_user WHERE user_id='".$user."";
  $rs=mysqli_query($link, $query);
  while ($row=mysqli_fetch_array($rs))
    {
    $i++;
    $text = "Obsluha:".$row["meno"]." ".$row["priezvisko"];
    $text = ZAMEN_ZNAKY ($text);
    $res = printAnnouncement ($i,$text);
    if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
    }
  $i++;
  $text="Cislo : ".$cislo;
  $res = printAnnouncement ($i,$text);
  $i++;
  $text="Miesto : ".$stol;
  $text = ZAMEN_ZNAKY ($text);
  $res = printAnnouncement ($i,$text);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  $res=paragonEnd (0);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  
  return $res;
  }

function KREDIT_ZMAZ ($token_id)
  {
  global $link;
  $res = paragonBegin (0,0,0,0,0);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  $i=1;
  $query="SELECT * FROM smsklad_kredit WHERE kredit_id='".$token_id."'";
  //echo $query;
  $rs=mysqli_query($link, $query);
  while ($row=mysqli_fetch_array($rs))
    {
    $user = $row["user_id"];
    $odberatel = $row["partner_id"];
    $res = itemReturn ($i,"Storno kreditu",$row["kredit"],"A",1,$row["kredit"],"");
    if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
    }
  $res = payment ($i,16,$row["kredit"],0,0,"HOTOVOST");
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  // uzivatel
  $query="SELECT meno, priezvisko FROM cis_user WHERE user_id='".$user."'";
  $rs=mysqli_query($link, $query);
  while ($row=mysqli_fetch_array($rs))
    {
    $i++;
    $text = "Obsluha:".$row["meno"]." ".$row["priezvisko"];
    $text = ZAMEN_ZNAKY ($text);
    $res = printAnnouncement ($i,$text);
    if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
    }
  if ($odberatel!=0)
    {
    // odberatel
    $i++;
    $query = "SELECT firma,ico FROM cis_partneri WHERE partner_id='".$odberatel."'";
    $rs=mysqli_query($link, $query);
    while ($row=mysqli_fetch_array($rs))
      {
      $firma = $row["firma"];
      }
    $text = "Odberatel : ".$firma;
    $text = ZAMEN_ZNAKY ($text);
    $text = substr ($text,0,39);
    $res = printAnnouncement ($i,$text);
    if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
    }
  $res=paragonEnd (0);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  }


function UZAVIERKA_MESACNA ($TypVypisu,$DatumOd,$DatumDo)
  {
  $DatumOd = str_replace(".","",$DatumOd); 
  $DatumDo = str_replace(".","",$DatumDo);
  $res=printIntervalFPD ($TypVypisu,$DatumOd,$DatumDo);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2)); break;}
  }
  
function POTVRD_VYZVU ()
  {
  $Datum=date(dmYHis);
  setDateTime ($Datum);
  $res=confirmNote ();
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2)); break;}
  }
  
function NASTAV_DPH ($Hladina,$Hodnota,$Konstanta)
  {
  $res = setVAT ('Pegas006',$Hladina,$Hodnota,$Konstanta);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2)); break;}
  }
  
function UHRADA_POHLADAVKY ($Faktura,$Ccena,$karta)
  { 
  $res = paragonBegin (9,0,0,0,0);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  $i=1;
  $res = itemSale ($i,$Faktura,$Ccena,"A",1,$Ccena,"");
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2)); ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA");break;}
  $i++;
  if ($karta==0) $res = payment ($i,16,$Ccena,0,0,"HOTOVOST");
  else if ($karta==1) $res = payment ($i,1,$Ccena,0,0,"KARTA");
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  $res=paragonEnd (0);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  }
function POTVRDENKA_KREDIT ($Polozka,$Ccena,$karta)
  {
  $celkom=$Ccena;
  $res = paragonBegin (0,0,0,0,0);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  $i=1;
  $res = itemSale ($i,$Polozka,$Ccena,"A",1,$Ccena,"");
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2)); ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA");break;}
  $i++;
  if ($karta==0) $res = payment ($i,16,$Ccena,0,0,"HOTOVOST");
  else if ($karta==1) $res = payment ($i,1,$Ccena,0,0,"KARTA");
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  $res=paragonEnd (0);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  }
  
function NASTAV_DATUM ($datum)
  {
  $res=setDateTime ($datum);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  }
  
function KOPIA_UZAVIERKY ($Datum,$Doklad)
  {
  $datum = date('dmY', strtotime($Datum));
  $res=printJournalStructD ("Z",$datum,$datum);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  } 

function KOPIA_DOKLADU_CISLO ($Uzavierka,$Uctenka,$Datum)
  {
  $UctenkaUz = $Uctenka.$Uzavierka;
  $res=printJournalStructU ($UctenkaUz);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2));ZRUSENIE_DOKLADU ("UCTENKA ZRUSENA"); break;}
  }
  
function OTVOR_ZASUVKU ()
  {
  $Konstanta = "~1B~70~0~20~80";
  $res = setEscapeSequence ($Konstanta);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2)); break;}
  $Konstanta = "~1B~70~1~20~80";
  $res = setEscapeSequence ($Konstanta);
  if ($res!=06) {echo errorDisplay (SubStr($res,0,2)); break;}
  }  
?>

