<?php
require_once './printers/function_zamen.php';

$PRINT_file_out="./prikazy/blocek.txt";            // adresar pre prikazy
$PRINT_file_in="./prikazy/info.txt";               // adresar pre prikazy
$ERROR_spat = "Chyba odosielania na tlaciaren <a href='index.php'>Spat</a><hr>";


function CHYBA_TLACE ()
  {
  global $PRINT_file_in;
  global $ERROR_spat;

  }
  
function OTVORENIE_SUBORU ()
  {
  global $PRINT_file_out;
  
  // ak skonci s chybou ukonci skript 
  if (file_exists($PRINT_file_out))
    {
    $c = 0;
    while($c < 10)
      {
      $res = is_writable($PRINT_file_out);
      if ($res == 1) break;
      usleep(250000);
      $c++;
      }  
    }  
  $fp = fopen($PRINT_file_out, "w");
  return $fp;
  }

function ZRUSENIE_DOKLADU ($Popis)
  {
  global $PRINT_file_out;
  
  $fp = OTVORENIE_SUBORU ();
  fwrite ($fp, 'e');
  fclose ($fp);
  CHYBA_TLACE ();
  }
  

function VYTLAC_DANOVY_DOKLAD ($tlac,$stol,$doklad_id,$karta,$ponuknuta)            // tlac : 0- predaj, 1- restauracia , 2 rozdeleny ucet
  {                                                                      // stol : nazov stola
  global $link;                                                          // odberatel : ID odberatela alebo ID dokladu
  global $ONLY_cash;                                                     // karta: 0 - hotovost, 1 - platobna karta, 5 - poukazka
  global $PRINT_file_out;
  global $PRINT_file_in;
                                                                                                          
  unset ($celkom);                                                       
  unset ($zlava);
  $fp = OTVORENIE_SUBORU ();
  fwrite ($fp, 'b '."\r\n");
  // vyslanie poloziek na tlaciaren
  $query="SELECT *, SUM(cena*pocet) AS spolu,SUM(pocet) AS mnozstvo,
                  -1*SUM(ROUND( cena * pocet * zlava /100, 2 )) AS sumazlava
          FROM pohl_tlac_danovy"; 
  if ($tlac==0)
    {
    $query.=" WHERE user_id=".$_SESSION['user_id']." AND stav=5 GROUP BY artikel_id,zlava,cena,poznamka ORDER BY uct_id DESC";
    }
   else if ($tlac==1)
    {
    $query.=" WHERE miesto_id=".$_SESSION['stol']." AND stav=0 GROUP BY artikel_id,zlava,cena ORDER BY datum DESC";
    }
  else if ($tlac==2)
    {
    $query.=" WHERE doklad_id = ".$_SESSION['uct_id']." GROUP BY artikel_id,zlava,cena ORDER BY datum DESC";
    }
  else if ($tlac==3)
    {
    $query.=" WHERE doklad_id=".$doklad_id." GROUP BY artikel_id,zlava,cena,poznamka ORDER BY datum DESC";
    }
  $rs=mysqli_query($link, $query);
  if (mysqli_num_rows($rs)==0)
    {
    echo "Chyba odosielania na tlaciaren...skuste znovu..<a href='index.php'>Spat</a>";
    exit;
    }
  while ($row=mysqli_fetch_array($rs))
    {
    
    // cislo objednavky
    $objcislo = $row["cislo"];
    $firma = $row["firma"];
    $obsluha = $row["meno"]." ".$row["priezvisko"]; 
    // DPH
    if ($row["dph_id"]==1) $dph_zaporna="4";
    else if ($row["dph_id"]==2) $dph_zaporna="5";
    else if ($row["dph_id"]==3) $dph_zaporna="6";
    // polozky na tlaciaren, ak je polozka zlava tak ju posleme az po vsetkych polozkach
    if ($row["temptext"])        // docasny nazov polozky
      {
      $row["nazov"]=$row["temptext"];
      $queryt = "UPDATE artikel SET temptext='' WHERE artikel_id='".$row["artikel_id"]."'";
      mysqli_query($link, $queryt);
      }
    $text = ZAMEN_ZNAKY ($row["nazov"]);
    fwrite ($fp, $text."\r\n");
    // text za polozkou (poznamka)
    if ($ONLY_cash==1 && $row["poznamka"])
      {
      $text = ZAMEN_ZNAKY ($row["poznamka"]);
      fwrite ($fp, $text."\r\n");
      }
    if ($row["zasoba_id"]==8)    // ak je polozka vratenie obalov
      {
      $text = $row["mnozstvo"]." ".$row["jednotka"]."  ".$row["cena"]."    ".$dph_zaporna."C ".Round($row["spolu"],2)." EUR ";
      }
    else if ($row["zasoba_id"]!=8 && $row["mnozstvo"]<0)    // ak je polozka zaporna - vratenie
      {
      $text = $row["mnozstvo"]." ".$row["jednotka"]."  ".$row["cena"]."    ".$dph_zaporna."A ".Round($row["spolu"],2)." EUR ";
      }
    else
      {
      $text = $row["mnozstvo"]." ".$row["jednotka"]."  ".$row["cena"]."    ".$row["dph_id"]." ".Round($row["spolu"],2)." EUR ";
      }
    fwrite ($fp, $text."\r\n");
    
    $celkom+=$row["spolu"];

    // ak ma polozka zlavu,poslem zlavu
    if ($row["zlava"]!='0') 
      {
      $celkom += $row["sumazlava"];
      $text = "Zlava ".$row["zlava"]." %         ".$dph_zaporna."B ".$row["sumazlava"];
      fwrite ($fp, $text."\r\n");
      }
    }
  
  $text = "k ".$celkom." EUR";
  fwrite ($fp, $text."\r\n");
  
  if ($karta==0) $text = "P1 ".$celkom;         // hotovost
  else if ($karta==1) $text = "P2 ".$celkom;    // karta
  else if ($karta==5)                            // poukazka
    {
    if (!$_POST['poukazka']) $_POST['poukazka']=0;
    $zostatok = $celkom - $_POST['poukazka'];
    $text = "P1 ".$zostatok."\r\n";
    $text .= "P6 ".$_POST['poukazka'];
    }    
  fwrite ($fp, $text."\r\n");

  // uzivatel
  $text = "Obsluha:".$obsluha;
  $text = ZAMEN_ZNAKY ($text);
  fwrite ($fp, $text."\r\n");
  // odberatel
  if ($doklad_id!=0 && $tlac!=3)
    {
    $text = "Odberatel : ".$firma;
    $text = ZAMEN_ZNAKY ($text);
    fwrite ($fp, $text."\r\n");
    }
  $text="Objednavka c. : ".$objcislo;
  fwrite ($fp, $text."\r\n");
  if ($ONLY_cash==0)
    {
    $text="Miesto : ".$stol;
    $text = ZAMEN_ZNAKY ($text);
    fwrite ($fp, $text."\r\n");  
    }
  fwrite ($fp, 'e');
  fclose ($fp);
  CHYBA_TLACE ();
  }

function VYTLAC_OBJEDNAVKU ($kuchyna, $stol,$predaj)           //   0 - bar, 1 - kuchyna, 2 - kuchyna2
  {                                                            //  ID stola
  global $link;                                                //  1 - restauracia, 2 - predaj 
  global $PRINT_file_out;
  global $PRINT_file_in;
  
  $fp = OTVORENIE_SUBORU ();
  fwrite ($fp, 'n '."\r\n");
  if ($kuchyna==0)  $text = "__________________BAR_________________";
  else if ($kuchyna==1) $text = "_______________KUCHYNA________________";
  else if ($kuchyna==2) $text = "_______________KUCHYNA_2______________";
  fwrite ($fp, $text."\r\n");    
  // uzivatel a stol
  if ($ONLY_cash==0)
    {
    $query="SELECT meno, priezvisko FROM cis_user WHERE user_id='".$_SESSION['user_id']."'";
    $rs=mysqli_query($link, $query);
    while ($row=mysqli_fetch_array($rs))
      {
      $text = "Obsluha : ".$row["meno"]."_".$row["priezvisko"];
      $text = ZAMEN_ZNAKY ($text);
      fwrite ($fp, $text."\r\n"); 
      }  
    // stol
    $text="Stol : ".$stol;
    $text = ZAMEN_ZNAKY ($text);
    fwrite ($fp, $text."\r\n");    
    } 
  $text = date("d.m.Y H:i:s");
  fwrite ($fp, $text."\r\n");   
  $text = "---------------------------------------";
  fwrite ($fp, $text."\r\n"); 
  // vyslanie poloziek na tlaciaren
  if ($predaj==1)
    {
    $query="SELECT d.cislo,a.pocet AS mnozstvo, a.poznamka, b.nazov, c.jednotka
            FROM uctenka a, artikel b, mj c, doklad d  
            WHERE a.artikel_id=b.artikel_id
            AND a.doklad_id = d.doklad_id
            AND b.mj_id=c.mj_id
            AND b.kuchyna=".$kuchyna." 
            AND a.print=0
            AND a.miesto_id=".$_SESSION['stol']."
            AND a.user_id=".$_SESSION['user_id']." 
            AND a.stav=0 
            GROUP BY a.artikel_id, a.poznamka
            ORDER BY a.datum";   
    }
  else if ($predaj==2)
    {
    $query="SELECT d.cislo,a.pocet AS mnozstvo, a.poznamka, b.nazov, c.jednotka 
            FROM uctenka a, artikel b, mj c, doklad d 
            WHERE a.artikel_id=b.artikel_id
            AND a.doklad_id = d.doklad_id
            AND b.mj_id=c.mj_id
            AND b.kuchyna=".$kuchyna." 
            AND a.print=0
            AND a.user_id=".$_SESSION['user_id']." 
            AND a.stav=5 
            ORDER BY a.datum"; 
    }
  //echo $query;
  $rs=mysqli_query($link, $query);
  while ($row=mysqli_fetch_array($rs))
    {
    $cislo = $row["cislo"];
    $text = $row["nazov"];
    $text = ZAMEN_ZNAKY ($text);
    fwrite ($fp, $text."\r\n");
    if ($row["poznamka"])
      {
      $text = $row["poznamka"];
      $text = ZAMEN_ZNAKY ($text);
      fwrite ($fp, $text."\r\n");
      }
    $text = $row["mnozstvo"]." ".$row["jednotka"];
    fwrite ($fp, $text."\r\n");
    }
  $text = "---------------------------------------";
  fwrite ($fp, $text."\r\n");
  $text="Objednavka c. : ".$cislo;
  fwrite ($fp, $text."\r\n");
  fwrite ($fp, '');
  fwrite ($fp, 'p');
  fclose ($fp);
  CHYBA_TLACE ();
  }

function VYTLAC_DODAK ($sql,$nadpis,$stol)       // 0 - predaj, 1 - restauracia, 2 - rest rozdelenie , 3 - doklad_id
  {                                              // 0 - dodak, 1 - rezia, 2 - kredit
  global $link;
  global $ONLY_cash;
  global $PRINT_file_out;
  global $PRINT_file_in;
  
  unset ($celkom);
  $fp = OTVORENIE_SUBORU ();
  fwrite ($fp, 'n '."\r\n");
  if ($nadpis==0)  $text = "______________DODACI_LIST______________";
  else if ($nadpis==1) $text = "________________REZIA__________________";
  else if ($nadpis==2) $text = "________________KREDIT_________________";
  fwrite ($fp, $text."\r\n"); 
  if ($nadpis==0)
    {
    // odberatel
    if ($sql==3) $query = "SELECT a.firma,a.ico,b.datum FROM cis_partneri a RIGHT JOIN doklad b ON a.partner_id=b.partner_id WHERE b.doklad_id ='".$stol."'";
    else $query = "SELECT firma,ico FROM cis_partneri WHERE partner_id='".$_POST["partneri"]."'";
    $rs=mysqli_query($link, $query);
    while ($row=mysqli_fetch_array($rs))
      {
      $ico = $row["ico"];
      $firma = $row["firma"];
      if ($sql==3) $datum_old = $row["datum"];
      }
    $text = ZAMEN_ZNAKY ($firma."\r\n");
    fwrite ($fp, $text);
    $text = "ICO : ".$ico;
    fwrite ($fp, $text."\r\n"); 
    }
  if ($sql==3) $text = date('d.m.Y H:i:s', strtotime($datum_old));   
  else $text = date("d.m.Y H:i:s");     
  fwrite ($fp, $text."\r\n"); 
  $text = "---------------------------------------";
  fwrite ($fp, $text."\r\n");      
  // vyslanie poloziek na tlaciaren
  $query="SELECT *, SUM(cena * pocet) AS spolu, SUM(pocet) AS mnozstvo, -1*SUM(ROUND( cena * pocet * zlava /100, 2 )) AS sumazlava
          FROM pohl_tlac_dodak";
  if ($sql==0)
    {
    $query.=" WHERE user_id=".$_SESSION['user_id']." AND stav=5 GROUP BY artikel_id,zlava,cena,poznamka ORDER BY uct_id DESC";
    }
   else if ($sql==1)
    {
    $query.=" WHERE miesto_id=".$_SESSION['stol']." AND stav=0 GROUP BY artikel_id,zlava,cena ORDER BY datum DESC";
    }
  else if ($sql==2)
    {
    $query.=" WHERE doklad_id = ".$_SESSION['uct_id']." GROUP BY artikel_id,zlava,cena ORDER BY datum DESC";
    }
  else if ($sql==3)
    {
    $query.=" WHERE doklad_id=".$stol." GROUP BY artikel_id,zlava,cena,poznamka ORDER BY datum DESC";
    }
  //echo $query;
  $rs=mysqli_query($link, $query);
  while ($row=mysqli_fetch_array($rs))
    {
    $cislo = $row["cislo"];                            // cislo objednavky
    $obsluha = $row["meno"]." ".$row["priezvisko"]; 

    if ($row["temptext"]) 
      {
      $row["nazov"]=$row["temptext"];
      $queryt = "UPDATE artikel SET temptext='' WHERE artikel_id='".$row["artikel_id"]."'";
      mysqli_query($link, $queryt);
      }
    $text = ZAMEN_ZNAKY ($row["nazov"]);
    fwrite ($fp, $text."\r\n");
    // poznamka za polozkou 
    if ($ONLY_cash==1 && $row["poznamka"])
      {
      $text = ZAMEN_ZNAKY ($row["poznamka"]);
      fwrite ($fp, $text."\r\n");
      }    
    $text = $row["cena"]." EUR       ".$row["mnozstvo"]." ".$row["jednotka"]."    ".number_format($row["spolu"], 2, ',', '');
    fwrite ($fp, $text."\r\n");

    $celkom+=$row["spolu"];
    if ($row["zlava"]!=0)
      {
      $celkom += $row["sumazlava"];
      $text = "Zlava          ".$row["zlava"]." %   ".$row["sumazlava"];
      fwrite ($fp, $text."\r\n");
      }
    } 
  $text = "---------------------------------------";
  fwrite ($fp, $text."\r\n");
  $suma = Round($celkom,2);
  $text = "Spolu : ".number_format($suma, 2, ',', '')." EUR";
  fwrite ($fp, $text."\r\n");
 
  $text = "Celkom k uhrade : ".number_format($suma, 2, ',', '')." EUR";
  fwrite ($fp, $text."\r\n");
  $text = "---------------------------------------";
  fwrite ($fp, $text."\r\n");
  // uzivatel
  $text = "Obsluha:".$obsluha;
  $text = ZAMEN_ZNAKY ($text);
  fwrite ($fp, $text."\r\n");

  if ($ONLY_cash==1 && $sql!=3)
    {
    // stol
    $text="Stol : ".$stol;
    $text = ZAMEN_ZNAKY ($text);
    fwrite ($fp, $text."\r\n");   
    }
  $text="Objednavka c. : ".$cislo;
  fwrite ($fp, $text."\r\n");
  $text = "+-------------------------------------+";
  fwrite ($fp, $text."\r\n");
  $text = "|                                     |";
  fwrite ($fp, $text."\r\n");
  $text = "|                                     |";
  fwrite ($fp, $text."\r\n");  
  $text = "+---------------PODPIS----------------+";
  fwrite ($fp, $text."\r\n");
  fwrite ($fp, '');
  fwrite ($fp, 'p');
  fclose ($fp);
  CHYBA_TLACE ();
  }


function UZAVIERKA ($TypSpravy,$CisloSpravy)
  {
  global $PRINT_file_out;
  
  $fp = OTVORENIE_SUBORU ();
  if ($TypSpravy=="X") fwrite ($fp, 'x');
  else if ($TypSpravy=="Z") fwrite ($fp, 'd');
  fclose ($fp); 
  }

function KOPIA_DOKLADU ($doklad_id)
  {
  global $PRINT_file_out;
  
  $fp = OTVORENIE_SUBORU ();
  fwrite ($fp, 'c');
  fclose ($fp);
  }
  
function ZACAT_PREDAJ ()
  {
  
  }  

function VKLAD_HOTOVOSTI ($PopisOperacie,$TypOperacie,$SumaCelkom,$CisloPlatidla)
  {
  global $PRINT_file_out;
  global $PRINT_file_in;
  
  $fp = OTVORENIE_SUBORU ();
  if ($TypOperacie==0) fwrite ($fp, 'V P1'.$SumaCelkom);
  else if ($TypOperacie==1) fwrite ($fp, 'v P1'.$SumaCelkom);
  fwrite ($fp, 'e');
  fclose ($fp);
  CHYBA_TLACE ();
  }
  

function ZRUS_UCTENKU ($token_id,$typ,$pocet,$user)      // typ: 1 - cely doklad, 2- po polozkach
  {
  global $link;
  global $PRINT_file_out;
  global $PRINT_file_in;
  
  $fp = OTVORENIE_SUBORU ();
  fwrite ($fp, 'b '."\r\n");
  if ($typ == 1)
    {
    $query="SELECT a.cena,SUM(a.cena*a.pocet) AS spolu,SUM(a.pocet) AS mnozstvo,a.zlava, a.poznamka, b.nazov,b.zasoba_id, b.cena_predaj, c.jednotka, d.dph_id,
                 SUM(ROUND( a.cena * a.pocet * a.zlava /100, 2 )) AS sumazlava, e.cislo, e.poukazka  
          FROM uctenka a, artikel b, mj c, dph d, doklad e 
          WHERE a.artikel_id=b.artikel_id
          AND a.doklad_id = e.doklad_id
          AND b.mj_id=c.mj_id
          AND b.zasoba_id <> 7
          AND a.dph=d.sadzba 
          AND a.doklad_id=".$token_id."
          GROUP BY a.artikel_id,a.zlava,a.cena,a.poznamka";    
    }
  else if ($typ == 2)
    {
    $query="SELECT a.cena,a.cena * ".$pocet." AS spolu,a.pocet AS mnozstvo,a.zlava, a.poznamka, b.nazov,b.zasoba_id, b.cena_predaj, c.jednotka, d.dph_id,
                 ROUND( a.cena * ".$pocet." * a.zlava /100, 2 ) AS sumazlava, e.cislo, e.poukazka   
          FROM uctenka a, artikel b, mj c, dph d, doklad e 
          WHERE a.artikel_id=b.artikel_id
          AND a.doklad_id = e.doklad_id
          AND b.mj_id=c.mj_id
          AND b.zasoba_id <> 7
          AND a.dph=d.sadzba 
          AND a.uct_id = ".$token_id."
          GROUP BY a.artikel_id,a.zlava,a.cena,a.poznamka";    
    }
  //echo $query;exit;
  $rs=mysqli_query($link, $query);
  while ($row=mysqli_fetch_array($rs))
    {
    // mnozstvo ak sa maze iba jedna polozka
    if ($typ == 2) $row["mnozstvo"]=$pocet;
    // cislo objednavky
    $cislo = $row["cislo"];
    // DPH
    if ($row["dph_id"]==1) $dph_zlava="4";
    else if ($row["dph_id"]==2) $dph_zlava="5";
    else if ($row["dph_id"]==3) $dph_zlava="6"; 
    // polozky na tlaciaren, ak je polozka zlava tak ju posleme az po vsetkych polozkach
    $text = ZAMEN_ZNAKY ($row["nazov"]);
    fwrite ($fp, $text."\r\n");
    // text za polozkou (poznamka)
    if ($ONLY_cash==1 && $row["poznamka"])
      {
      $text = ZAMEN_ZNAKY ($row["poznamka"]);
      fwrite ($fp, $text."\r\n");
      }
    $text = $row["mnozstvo"]." ".$row["jednotka"]."  ".$row["cena"]."    ".$dph_zlava."C ".Round($row["spolu"],2)." EUR ";
    fwrite ($fp, $text."\r\n");
    
    $celkom+=$row["spolu"];

    // ak ma polozka zlavu,poslem zlavu
    if ($row["zlava"]!='0') 
      {
      $celkom -= $row["sumazlava"];
      $text = "Zlava ".$row["zlava"]." %       ".$row["dph_id"]." ".$row["sumazlava"];
      fwrite ($fp, $text."\r\n");
      }
    $poukazka = $row["poukazka"];
    }
    
  $text = "k ".$celkom." EUR";
  fwrite ($fp, $text."\r\n");
  
  if ($poukazka > 0)
    {
    $zostatok = $celkom - $poukazka;
    $text = "P1 ".$zostatok."\r\n";
    $text .= "P6 ".$poukazka;
    fwrite ($fp, $text."\r\n");    
    }

  // uzivatel
  $query="SELECT meno, priezvisko FROM cis_user WHERE user_id=".$user."";
  $rs=mysqli_query($link, $query);
  while ($row=mysqli_fetch_array($rs))
    {
    $i++;
    $text = "Obsluha:".$row["meno"]." ".$row["priezvisko"];
    $text = ZAMEN_ZNAKY ($text);
    fwrite ($fp, $text."\r\n");
    }
  $text="Objednavka c. : ".$cislo;
  fwrite ($fp, $text."\r\n");
  $text="Stol : ".$stol;
  $text = ZAMEN_ZNAKY ($text);
  fwrite ($fp, $text."\r\n");
  fwrite ($fp, 'e');
  fclose ($fp);
  CHYBA_TLACE ();
  }

function UZAVIERKA_MESACNA ($TypVypisu,$DatumOd,$DatumDo)
  {
  global $PRINT_file_out;

  $DatumOd = date('Ymd', strtotime($DatumOd));
  $DatumDo = date('Ymd', strtotime($DatumDo));
  
  $fp = OTVORENIE_SUBORU ();
  fwrite ($fp, "XM".$DatumOd."
".$DatumDo."
");
  fclose ($fp);
  }
  
function POTVRD_VYZVU ()
  {
  
  }
  
function NASTAV_DPH ($Heslo,$Hladina,$Hodnota,$Konstanta)
  {
  
  }
function UHRADA_POHLADAVKY ($Faktura,$Ccena,$karta)
  {
  global $PRINT_file_out;
  global $PRINT_file_in;
  
  $fp = OTVORENIE_SUBORU ();
  fwrite ($fp, 'B');
  if ($Ccena>0) fwrite ($fp, $Polozka.'    0'.$Ccena);
  else if ($Ccena<0) fwrite ($fp, $Polozka.'    9A'.$Ccena);
  fwrite ($fp, 'k               '.$Ccena.' Eur');
  if ($karta==0) $text = "P1 ".$Ccena;
  else if ($karta==1) $text = "P2 ".$Ccena;
  fwrite ($fp, 'e');
  fclose ($fp);
  CHYBA_TLACE ();
  }
function POTVRDENKA_KREDIT ($Polozka,$Ccena)
  {
  global $PRINT_file_out;
  global $PRINT_file_in;
  
  $fp = OTVORENIE_SUBORU ();
  fwrite ($fp, 'b');
  fwrite ($fp, $Polozka.'    1'.$Ccena);
  fwrite ($fp, 'k               '.$Ccena.' Eur');
  fwrite ($fp, 'e');
  fclose ($fp);
  CHYBA_TLACE ();
  }
  
function TEXT_DISPLAY ($TypDispleja,$text)
  {
  global $PRINT_file_out;
  
  $fp = OTVORENIE_SUBORU ();
  fwrite ($fp, '>'.$text.'');
  fclose ($fp);
  }
function ZMAZ_DISPLAY ($TypDispleja)
  {
  global $PRINT_file_out;
  
  $fp = OTVORENIE_SUBORU ();
  fwrite ($fp, '> ');
  fclose ($fp);  
  }
function NASTAV_DATUM ($datum)
  {
  global $PRINT_file_out;
  
  $text = "111116".substr($datum,1,1)."7".substr($datum,0,1)."8".substr($datum,3,1)."9".substr($datum,2,1).":".substr($datum,7,1).";".substr($datum,6,1)."4".substr($datum,9,1)."5".substr($datum,8,1)."2".substr($datum,11,1)."3".substr($datum,10,1);
  $fp = OTVORENIE_SUBORU ();
  fwrite ($fp, 't'.$text.'');
  fclose ($fp);
  }
  
function KOPIA_UZAVIERKY ($datum,$doklad)
  {
  $datum = date('Ymd', strtotime($datum));
  $fp = OTVORENIE_SUBORU ();
  fwrite ($fp, 'C D '.$datum.$doklad.' 
');
  fclose ($fp);
  }
  
function KOPIA_DOKLADU_CISLO ($Uzavierka,$Uctenka,$Datum)
  {
  $datum = date('Ymd', strtotime($Datum));
  $fp = OTVORENIE_SUBORU ();
  fwrite ($fp, 'C B '.$datum.$Uctenka.' 
');
  fclose ($fp);
  }
  
function OTVOR_ZASUVKU ()
  {
  global $PRINT_file_out;
  
  $fp = OTVORENIE_SUBORU ();
  fwrite ($fp, 'o');
  fclose ($fp);
  }
?>