DROP VIEW IF EXISTS pohl_pokl_cena;

CREATE 
    ALGORITHM = UNDEFINED 
    DEFINER = `root`@`localhost` 
    SQL SECURITY DEFINER
VIEW `pohl_pokl_cena` AS
    SELECT 
        `a`.`user_id` AS `user_id`,
        SUM(ROUND(((`a`.`cena` * `a`.`pocet`) - (((`a`.`cena` * `a`.`pocet`) * `a`.`zlava`) / 100)),
                2)) AS `spolu`,
        `c`.`vernost_id` AS `vernost_id`,
        `c`.`cislo` AS `cislo`
    FROM
        ((`uctenka` `a`
        JOIN `artikel` `b` ON ((`b`.`artikel_id` = `a`.`artikel_id`)))
        JOIN `doklad` `c` ON ((`c`.`doklad_id` = `a`.`doklad_id`)))
    WHERE
        ((`b`.`zasoba_id` <> 7)
            AND (`a`.`stav` = 5))
    GROUP BY `c`.`cislo`;