DROP PROCEDURE IF EXISTS `Zmaz_pokladna`;

CREATE DEFINER=`root`@`localhost` PROCEDURE `Zmaz_pokladna`(
  IN `$doklad_id` INT(11),
  IN `$stav` INT(2), 
  IN `$USER_ID` INT(11)
)
BEGIN
DECLARE $new_doklad_id INT;
DECLARE $druh INT;
DECLARE $druh_servis INT;
DECLARE EXIT HANDLER FOR SQLEXCEPTION
BEGIN
    ROLLBACK;
END;

START TRANSACTION;

SELECT druh INTO $druh FROM doklad WHERE vernost_id = $doklad_id;
SELECT druh INTO $druh_servis FROM doklad WHERE doklad_id = $doklad_id;
INSERT INTO doklad
	SELECT NULL,partner_id,vernost_id,1,$doklad_id,$USER_ID,poukazka,druh,cislo,pvdruh_id,dph,pokladna_id,onlineQR,CHDU_JournalNumber,free,faktura,dodaci,objednavka,doprava,poznamka,CURDATE(),zlava,NOW()
	FROM doklad
	WHERE doklad_id = $doklad_id;
 
SET $new_doklad_id = LAST_INSERT_ID();

UPDATE doklad SET zmazany_id = $new_doklad_id WHERE doklad_id = $doklad_id;

IF ($druh = 3) THEN  
	UPDATE doklad SET vernost_id=0 WHERE vernost_id = $doklad_id;
ELSEIF ($druh_servis = 6) THEN   
	UPDATE smsklad_servis SET doklad_id = 0 WHERE doklad_id = $doklad_id;
	INSERT INTO pohyb 
		SELECT 0,$new_doklad_id,uct_id,artikel_id,sklad_id,free_id,$USER_ID,cena,predaj,-1*mnozstvo,dph,zlava,NOW(),poznamka,rucna 
		FROM pohyb 
		WHERE doklad_id = $doklad_id;
ELSE
	INSERT INTO pohyb 
		SELECT NULL,$new_doklad_id,uct_id,artikel_id,sklad_id,free_id,$USER_ID,cena,predaj,-1*mnozstvo,dph,zlava,NOW(),poznamka,rucna 
		FROM pohyb 
		WHERE doklad_id = $doklad_id;
END IF;
INSERT INTO uctenka 
	SELECT NULL,artikel_id,miesto_id,$new_doklad_id,dph_id,free_id,cena,-1*pocet,dph,NOW(),NOW(),poznamka,zlava,$stav,print,$USER_ID 
	FROM uctenka 
	WHERE doklad_id = $doklad_id;
COMMIT;
END;