DROP PROCEDURE IF EXISTS `Zmaz_pokl_kus`;

CREATE DEFINER=`root`@`localhost` PROCEDURE `Zmaz_pokl_kus`(
  IN `$uct_id` INT(11),
  IN `$stav` INT(2),
  IN `$pocet` DECIMAL(10,2),
  IN `$USER_ID` INT(11)
)
BEGIN
DECLARE $new_doklad_id INT;
DECLARE $doklad_id INT;

START TRANSACTION;

SELECT doklad_id INTO $doklad_id FROM uctenka WHERE uct_id = $uct_id;

INSERT INTO doklad
	SELECT NULL,partner_id,vernost_id,1,$doklad_id,$USER_ID,0,druh,cislo,pvdruh_id,dph,pokladna_id,onlineQR,CHDU_JournalNumber,free,faktura,dodaci,objednavka,doprava,poznamka,CURDATE(),zlava,NOW()
	FROM doklad
	WHERE doklad_id = $doklad_id;

SET $new_doklad_id = LAST_INSERT_ID();

INSERT INTO pohyb 
	SELECT NULL,$new_doklad_id,uct_id,artikel_id,sklad_id,free_id,$USER_ID,cena,predaj,$pocet,dph,zlava,NOW(),poznamka,rucna 
	FROM pohyb 
	WHERE uct_id = $uct_id;
INSERT INTO uctenka 
	SELECT NULL,artikel_id,miesto_id,$new_doklad_id,dph_id,free_id,cena,-1*$pocet,dph,NOW(),NOW(),poznamka,zlava,$stav,print,$USER_ID 
	FROM uctenka 
	WHERE uct_id = $uct_id;

INSERT INTO smsklad_storno VALUES ($doklad_id,$uct_id,$new_doklad_id,LAST_INSERT_ID());

COMMIT;
END;