DROP PROCEDURE IF EXISTS `Pohyb_dodak`;

CREATE DEFINER=`root`@`localhost` PROCEDURE `Pohyb_dodak`(
IN $artikel_id INT(11),
IN $predaj DECIMAl(15,2),
IN $mnozstvo DECIMAL(20,3),
IN $USER_ID INT(11),
IN $DODAK_ID INT(11),
IN $rucna INT(1)
)
BEGIN
DECLARE $cenapriemer DECIMAL(17,4);
DECLARE $zasoba_id INT;
DECLARE $sadzba INT;
DECLARE $last_id INT;
DECLARE $dph INT;
DECLARE $nova_cena DECIMAL(15,2);
DECLARE $sklad INT;
DECLARE $mj_id INT;
DECLARE $prenosdp INT;
DECLARE $icdph VARCHAR(20);

START TRANSACTION;
SELECT a.dph, a.sklad_id, b.icdph INTO $dph, $sklad, $icdph 
	FROM doklad a INNER JOIN cis_partneri b ON a.partner_id = b.partner_id 
    WHERE a.doklad_id = $DODAK_ID;
SELECT a.cena_priemer, a.zasoba_id, a.mj_id, a.prenosdp, b.sadzba INTO $cenapriemer, $zasoba_id, $mj_id, $prenosdp, $sadzba 
    FROM artikel a INNER JOIN dph b ON a.dph_id = b.dph_id
    WHERE a.artikel_id = $artikel_id;

IF ($icdph <> '' AND $prenosdp = 1) THEN
SET $dph = 0;
END IF;
    
IF ($dph = $sadzba) THEN
SET $nova_cena = $predaj;
ELSE
SET $nova_cena = ROUND(($predaj / ($sadzba / 100 +1) * ($dph / 100 + 1)),2);
END IF;
  
INSERT INTO pohyb VALUES(NULL,$DODAK_ID,0,$artikel_id,$sklad,0,$USER_ID,$cenapriemer,$nova_cena,-$mnozstvo,$dph,0,NOW(),'',$rucna);

IF ($zasoba_id=7) THEN 
    SELECT COALESCE( MAX(a.pohyb_id ) , 0 ) INTO $last_id 
                FROM pohyb a, artikel b 
                WHERE a.artikel_id = b.artikel_id
                AND b.zasoba_id = 7
                AND a.doklad_id = $DODAK_ID 
                AND a.pohyb_id < LAST_INSERT_ID()
                LIMIT 1;
                
    UPDATE pohyb SET zlava = $predaj WHERE doklad_id=$DODAK_ID AND pohyb_id > $last_id AND pohyb_id < LAST_INSERT_ID();
    UPDATE pohyb SET mnozstvo = 1 WHERE pohyb_id = LAST_INSERT_ID();
END IF;
                
COMMIT;
END;