DROP VIEW IF EXISTS pohl_uctenka;

CREATE 
    ALGORITHM = UNDEFINED 
    DEFINER = `root`@`localhost` 
    SQL SECURITY DEFINER
VIEW `pohl_uctenka` AS
    SELECT 
        COALESCE(SUM(ROUND((`a`.`pocet` * ROUND((`a`.`cena` - ((`a`.`cena` * `a`.`zlava`) / 100)),
                                2)),
                        2)),
                0) AS `suma`,
        `a`.`poznamka` AS `poznamka`,
        `b`.`datum` AS `datum`,
        `b`.`u_datum` AS `u_datum`,
        `b`.`cislo` AS `cislo`,
        `b`.`druh` AS `druh`,
        `b`.`doklad_id` AS `doklad_id`,
        `c`.`meno` AS `meno`,
        `c`.`priezvisko` AS `priezvisko`,
        `a`.`miesto_id` AS `miesto_id`,
        `f`.`firma` AS `firma`,
        COUNT(`a`.`uct_id`) AS `pocet`,
        `f`.`pokladna` AS `pokladna`
    FROM
        (((((`uctenka` `a`
        LEFT JOIN `doklad` `b` ON ((`a`.`doklad_id` = `b`.`doklad_id`)))
        LEFT JOIN `cis_partneri` `f` ON ((`b`.`partner_id` = `f`.`partner_id`)))
        JOIN `cis_user` `c`)
        JOIN `artikel` `e`)
        LEFT JOIN `smsklad_pokladne` `g` ON ((`g`.`pokladna_id` = `b`.`pokladna_id`)))
    WHERE
        ((`a`.`artikel_id` = `e`.`artikel_id`)
            AND (`a`.`stav` = 9)
            AND (`e`.`zasoba_id` <> 7)
            AND (`b`.`druh` IN (4 , 6))
            AND (`b`.`user_id` = `c`.`user_id`))
    GROUP BY `b`.`cislo`;