DROP VIEW IF EXISTS `pohl_stoly`;

CREATE 
    ALGORITHM = UNDEFINED 
    DEFINER = `root`@`localhost` 
    SQL SECURITY DEFINER
VIEW `pohl_stoly` AS
    SELECT 
        `a`.`stol` AS `stol`,
        `a`.`stol_id` AS `stol_id`,
        `a`.`tvar` AS `tvar`,
        `a`.`miestnost_id` AS `miestnost_id`,
        `a`.`zx` AS `zx`,
        `a`.`zy` AS `zy`,
        `a`.`vx` AS `vx`,
        `a`.`vy` AS `vy`,
        COALESCE((SELECT 
                        `x`.`uct_id`
                    FROM
                        (`uctenka` `x`
                        JOIN `stol` `y` ON ((`x`.`miesto_id` = `y`.`stol_id`)))
                    WHERE
                        ((`x`.`stav` = 0)
                            AND ((`y`.`stol_id` = `a`.`stol_id`)
                            OR ((`y`.`druh` = 6)
                            AND (`y`.`miestnost_id` = `a`.`stol_id`))))
                    LIMIT 1),
                0) AS `farba`
    FROM
        `stol` `a`
    WHERE
        ((`a`.`druh` = 1) AND (`a`.`activ` = 1));