<?php

require_once './head.php';

Hlavicka(2);

$query="SELECT a.*, b.firma, SUM(c.cena * c.mnozstvo) AS spolu 
        FROM doklad a 
        	INNER JOIN cis_partneri b ON b.partner_id = a.partner_id 
        	INNER JOIN pohyb c ON c.doklad_id = a.doklad_id 
        WHERE a.druh=1
        AND a.u_datum <='".date('Y-m-d', strtotime($_POST['do']))."'
        AND a.u_datum >='".date('Y-m-d', strtotime($_POST['od']))."'
        GROUP BY a.partner_id ORDER BY b.firma";
//echo $query;
$rs=mysqli_query($link, $query);
while ($row=mysqli_fetch_array($rs))
  {
  $suma[]=Round($row["spolu"], 2);
  $meno[] = "'".$row["firma"]."'";
  }
$text = " Príjemky od ".date('d.m.Y', strtotime($_POST['od']))." do ".date('d.m.Y', strtotime($_POST['do']));

?>
<body>

<div align="center">

<canvas id="cvs" width="1000" height="450">
    [No canvas support]
</canvas>

</div>
<script src="./class/RGraph.common.core.js"></script>
<script src="./class/RGraph.bar.js"></script> 
<script>
    new RGraph.Bar({
        id: 'cvs',
        data: [<?php echo implode(",",$suma)?>],
        options: {
            title: '<?php echo $text?>',
            gutterLeft: 75,
            gutterRight: 25,
            gutterTop: 25,
            gutterBottom: 25,
            colors: ['gradient(red:#faa)'],
            //ymax:1200,
            ylabelsCount:12,
            labels: [<?php  echo implode(",",$meno)?>],
            labelsAbove: true, 
            textAngle: 90,            
            backgroundGrid: false,
            backgroundBarcount: 12,
            backgroundBarcolor1: '#eee',
            backgroundBarcolor2: '#ddd',
            unitsPost: ' €',
            hmargin: 10,
            axisColor:'gray',
            numxticks: 0,
            numyticks: 0,
            textSize:8,
            shadow: true,
            shadowBlur: 2,
            shadowOffsetx: 1,
            shadowOffsety: 1
            
        }
    }).wave();
</script>
</body>
</html>